using System;
using System.Drawing;
using System.Collections;
using System.ComponentModel;
using System.Windows.Forms;
using System.Text;
using ppsGrid;

namespace grdDemo.frm{
	/// <summary>
	/// Summary description for frmCtrlCheckbox.
	/// </summary>
	public class frmCtrlListbox : System.Windows.Forms.Form
	{
		private System.Windows.Forms.Label label1;
		private System.Windows.Forms.Label label2;
		private System.Windows.Forms.Label label3;
		private ppsGrid.GridRow rowDispFixed;
		private ppsGrid.GridRow rowEditFixed;
		private ppsGrid.GridRow rowDispEditFixed;
		private ppsGrid.GridCol colDispEditNo;
		private ppsGrid.GridCol colEditNo;
		private ppsGrid.GridCol colDispNo;
		private ppsGrid.Grid grdDisp;
		private ppsGrid.Grid grdEdit;
		private ppsGrid.Grid grdDispEdit;
		private ppsGrid.GridCol colDispListbox;
		private ppsGrid.GridCol colEditListbox;
		private ppsGrid.GridCol colDispEditListbox;
		/// <summary>
		/// Required designer variable.
		/// </summary>
		private System.ComponentModel.Container components = null;

		public frmCtrlListbox(){
			InitializeComponent();
		}
		public void Init(){
			ListBox		lbo;
			Random		rnd=new Random();
			string[]	items=new String[]{
																		"Gabi", "Thomas","Andreas","Torsten","Claus",
																		"Martina","Bettina","Manfred","Joachim","Peter"};

			lbo=new ListBox();
			lbo.Dock=DockStyle.Top;
			lbo.Items.AddRange(items);
			grdDisp.PreferredRowHeight=80;
			grdDisp.AddRows(20);
			grdDisp.Cols["colDispListbox"].ControlDisplayInfo.Control=lbo;
			grdDisp.Cols["colDispListbox"].ControlDisplayInfo.PropertyName="SelectedItem";
			foreach(GridRow r in grdDisp.Rows)
				if(r.Fixed==false)
					r["colDispListbox"].Value=items[rnd.Next(items.Length)];

		



			lbo=new ListBox();
			lbo.Dock=DockStyle.Top;
			lbo.Items.AddRange(items);
			grdEdit.PreferredRowHeight=92;
			grdEdit.AddRows(20);
			grdEdit.Cols["colEditListbox"].ControlEditInfo.Control=lbo;
			grdEdit.Cols["colEditListbox"].ControlEditInfo.PropertyName="SelectedItem";
			foreach(GridRow r in grdEdit.Rows)
				if(r.Fixed==false)
					r["colEditListbox"].Value=items[rnd.Next(items.Length)];

		



		
			lbo=new ListBox();
			lbo.Dock=DockStyle.Top;
			lbo.Items.AddRange(items);
			grdDispEdit.PreferredRowHeight=104;
			grdDispEdit.AddRows(20);
			
			grdDispEdit.Cols["colDispEditListbox"].ControlDisplayInfo.Control=lbo;
			grdDispEdit.Cols["colDispEditListbox"].ControlDisplayInfo.PropertyName="SelectedItem";

			lbo=new ListBox();
			lbo.Dock=DockStyle.Top;
			lbo.Items.AddRange(items);
			grdDispEdit.Cols["colDispEditListbox"].ControlEditInfo.Control=lbo;
			grdDispEdit.Cols["colDispEditListbox"].ControlEditInfo.PropertyName="SelectedItem";
			foreach(GridRow r in grdDispEdit.Rows)
				if(r.Fixed==false)
					r["colDispEditListbox"].Value=items[rnd.Next(items.Length)];
		}

		

		/// <summary>
		/// Clean up any resources being used.
		/// </summary>
		protected override void Dispose( bool disposing )
		{
			if( disposing )
			{
				if(components != null)
				{
					components.Dispose();
				}
			}
			base.Dispose( disposing );
		}

		#region Windows Form Designer generated code
		/// <summary>
		/// Required method for Designer support - do not modify
		/// the contents of this method with the code editor.
		/// </summary>
		private void InitializeComponent()
		{
			this.grdDisp = new ppsGrid.Grid();
			this.colDispNo = new ppsGrid.GridCol();
			this.colDispListbox = new ppsGrid.GridCol();
			this.rowDispFixed = new ppsGrid.GridRow();
			this.grdEdit = new ppsGrid.Grid();
			this.colEditNo = new ppsGrid.GridCol();
			this.colEditListbox = new ppsGrid.GridCol();
			this.rowEditFixed = new ppsGrid.GridRow();
			this.label1 = new System.Windows.Forms.Label();
			this.label2 = new System.Windows.Forms.Label();
			this.label3 = new System.Windows.Forms.Label();
			this.grdDispEdit = new ppsGrid.Grid();
			this.colDispEditNo = new ppsGrid.GridCol();
			this.colDispEditListbox = new ppsGrid.GridCol();
			this.rowDispEditFixed = new ppsGrid.GridRow();
			this.SuspendLayout();
			// 
			// grdDisp
			// 
			this.grdDisp.Cols.AddRange(new object[] {
																								this.colDispNo,
																								this.colDispListbox});
			this.grdDisp.FixedRowType = (ppsGrid.eFixedRowType.Moveable | ppsGrid.eFixedRowType.Sizeable);
			this.grdDisp.Location = new System.Drawing.Point(8, 24);
			this.grdDisp.Name = "grdDisp";
			this.grdDisp.PreferredRowHeight = 24;
			this.grdDisp.Rows.AddRange(new object[] {
																								this.rowDispFixed});
			this.grdDisp.SelectionType = ppsGrid.eSelectionType.None;
			this.grdDisp.Size = new System.Drawing.Size(120, 248);
			this.grdDisp.TabIndex = 0;
			// 
			// colDispNo
			// 
			this.colDispNo.AutoNumber = true;
			this.colDispNo.Fixed = true;
			this.colDispNo.Name = "colDispNo";
			this.colDispNo.Width = 25;
			this.colDispNo.WidthPercent = 35;
			// 
			// colDispListbox
			// 
			this.colDispListbox.Name = "colDispListbox";
			this.colDispListbox.WidthPercent = 100;
			this.colDispListbox.WidthType = ppsGrid.eWidthType.Percent;
			// 
			// rowDispFixed
			// 
			this.rowDispFixed.Fixed = true;
			this.rowDispFixed.Name = "rowDispFixed";
			// 
			// grdEdit
			// 
			this.grdEdit.Cols.AddRange(new object[] {
																								this.colEditNo,
																								this.colEditListbox});
			this.grdEdit.FixedRowType = (ppsGrid.eFixedRowType.Moveable | ppsGrid.eFixedRowType.Sizeable);
			this.grdEdit.Location = new System.Drawing.Point(136, 24);
			this.grdEdit.Name = "grdEdit";
			this.grdEdit.Rows.AddRange(new object[] {
																								this.rowEditFixed});
			this.grdEdit.SelectionType = ppsGrid.eSelectionType.None;
			this.grdEdit.Size = new System.Drawing.Size(120, 248);
			this.grdEdit.TabIndex = 0;
			// 
			// colEditNo
			// 
			this.colEditNo.AutoNumber = true;
			this.colEditNo.Fixed = true;
			this.colEditNo.Name = "colEditNo";
			this.colEditNo.Width = 25;
			this.colEditNo.WidthPercent = 35;
			// 
			// colEditListbox
			// 
			this.colEditListbox.Name = "colEditListbox";
			this.colEditListbox.WidthPercent = 100;
			this.colEditListbox.WidthType = ppsGrid.eWidthType.Percent;
			// 
			// rowEditFixed
			// 
			this.rowEditFixed.Fixed = true;
			this.rowEditFixed.Name = "rowEditFixed";
			// 
			// label1
			// 
			this.label1.Location = new System.Drawing.Point(16, 8);
			this.label1.Name = "label1";
			this.label1.Size = new System.Drawing.Size(104, 16);
			this.label1.TabIndex = 1;
			this.label1.Text = "nur Anzeige";
			this.label1.TextAlign = System.Drawing.ContentAlignment.TopCenter;
			// 
			// label2
			// 
			this.label2.Location = new System.Drawing.Point(136, 8);
			this.label2.Name = "label2";
			this.label2.Size = new System.Drawing.Size(120, 16);
			this.label2.TabIndex = 2;
			this.label2.Text = "nur Editieren";
			this.label2.TextAlign = System.Drawing.ContentAlignment.TopCenter;
			// 
			// label3
			// 
			this.label3.Location = new System.Drawing.Point(264, 8);
			this.label3.Name = "label3";
			this.label3.Size = new System.Drawing.Size(104, 16);
			this.label3.TabIndex = 4;
			this.label3.Text = "Anzeige+Editieren";
			this.label3.TextAlign = System.Drawing.ContentAlignment.TopCenter;
			// 
			// grdDispEdit
			// 
			this.grdDispEdit.Cols.AddRange(new object[] {
																										this.colDispEditNo,
																										this.colDispEditListbox});
			this.grdDispEdit.FixedRowType = (ppsGrid.eFixedRowType.Moveable | ppsGrid.eFixedRowType.Sizeable);
			this.grdDispEdit.Location = new System.Drawing.Point(264, 24);
			this.grdDispEdit.Name = "grdDispEdit";
			this.grdDispEdit.PreferredRowHeight = 24;
			this.grdDispEdit.Rows.AddRange(new object[] {
																										this.rowDispEditFixed});
			this.grdDispEdit.SelectionType = ppsGrid.eSelectionType.None;
			this.grdDispEdit.Size = new System.Drawing.Size(120, 248);
			this.grdDispEdit.TabIndex = 3;
			// 
			// colDispEditNo
			// 
			this.colDispEditNo.AutoNumber = true;
			this.colDispEditNo.Fixed = true;
			this.colDispEditNo.Name = "colDispEditNo";
			this.colDispEditNo.Width = 25;
			this.colDispEditNo.WidthPercent = 35;
			// 
			// colDispEditListbox
			// 
			this.colDispEditListbox.Name = "colDispEditListbox";
			this.colDispEditListbox.WidthPercent = 100;
			this.colDispEditListbox.WidthType = ppsGrid.eWidthType.Percent;
			// 
			// rowDispEditFixed
			// 
			this.rowDispEditFixed.Fixed = true;
			this.rowDispEditFixed.Name = "rowDispEditFixed";
			// 
			// frmCtrlListboxbox
			// 
			this.AutoScaleBaseSize = new System.Drawing.Size(5, 13);
			this.ClientSize = new System.Drawing.Size(398, 275);
			this.Controls.AddRange(new System.Windows.Forms.Control[] {
																																	this.label3,
																																	this.grdDispEdit,
																																	this.grdDisp,
																																	this.grdEdit,
																																	this.label2,
																																	this.label1});
			this.FormBorderStyle = System.Windows.Forms.FormBorderStyle.Fixed3D;
			this.MaximizeBox = false;
			this.MinimizeBox = false;
			this.Name = "frmCtrlListboxbox";
			this.Text = "frmCtrlCheckbox";
			this.ResumeLayout(false);

		}
		#endregion
	}
}
