using System;
using System.Drawing;
using System.Collections;
using System.ComponentModel;
using System.Windows.Forms;
using System.Resources;
using System.Threading;
using System.IO;
using System.Reflection;
using System.Runtime.InteropServices;


using ppsGrid;


namespace grdDemo.frm{
	// ***************************************************************
	// warnung: keine enum's, class usw. vor frmMain definieren !!!!!!!
	// ansonsten exception 'MissingManifestResourceException'  !!!!!!!
	// ***************************************************************
	public class frmMain:Form{
		#region declaration

		private System.Windows.Forms.ProgressBar prbProgress;
		private System.Windows.Forms.StatusBar barStatebar;
		private System.Windows.Forms.StatusBarPanel bndState;
		private System.Windows.Forms.StatusBarPanel bndDoc;
		private System.Windows.Forms.StatusBarPanel bndUser;
		private System.Windows.Forms.StatusBarPanel bndExtended;
		private System.Windows.Forms.StatusBarPanel bndIconSave;
		
		private System.Windows.Forms.StatusBarPanel bndIconLock;
		private System.Windows.Forms.MainMenu mnuMain;
		private System.Windows.Forms.MenuItem mnuGridDemo;
		private System.Windows.Forms.MenuItem mnuBigSize;
		private System.Windows.Forms.MenuItem mnuColors;
		private System.Windows.Forms.MenuItem mnuBreak0;
		private System.Windows.Forms.MenuItem mnuQuit;
		private System.Windows.Forms.MenuItem mnuWindow;
		private System.Windows.Forms.MenuItem mnuWinHoriz;
		private System.Windows.Forms.MenuItem mnuWinVert;
		private System.Windows.Forms.MenuItem mnuWinOverlap;
		private System.Windows.Forms.MenuItem mnuWinSymbol;
		private System.Windows.Forms.MenuItem mnuFonts;
		private System.Windows.Forms.MenuItem mnuPics;
		private System.Windows.Forms.MenuItem mnuProp;
		private System.Windows.Forms.MenuItem mnuCtrls;
		private System.Windows.Forms.MenuItem menuItem3;
		private System.Windows.Forms.MenuItem mnuExplorer;
		private System.Windows.Forms.MenuItem mnuAdr;
		private System.Windows.Forms.MenuItem mnuSort;
		private System.Windows.Forms.MenuItem mnuPicAlign;
		private System.Windows.Forms.MenuItem mnuStrTrim;
		private System.Windows.Forms.MenuItem mnuCellSpan;
		private System.Windows.Forms.MenuItem mnuTetris;
		private System.Windows.Forms.MenuItem mnuMineSweep;
		private System.Windows.Forms.MenuItem mnuCellMerge;
		private System.Windows.Forms.MenuItem mnuOutlineRow;
		private System.Windows.Forms.MenuItem mnuOutlineCol;
		private System.Windows.Forms.MenuItem menuItem2;
		private System.Windows.Forms.MenuItem mnuCtrlCheckbox;
		private System.Windows.Forms.MenuItem mnuCtrlTextbox;
		private System.Windows.Forms.MenuItem mnuCtrlRtf;
		private System.Windows.Forms.MenuItem mnuCtrlCombobox;
		private System.Windows.Forms.MenuItem mnuCtrlListbox;
		private System.Windows.Forms.MenuItem mnuCtrlUserCtrl;
		private System.Windows.Forms.MenuItem mnuCtrl3rdParty;
		private System.Windows.Forms.MenuItem mnuCtrlDate;
		private System.Windows.Forms.MenuItem mnuCtrlPosition;
		private System.Windows.Forms.MenuItem mnuCtrlControls;
		private System.Windows.Forms.MenuItem menuItem5;
		#endregion
		#region Contructor
		public frmMain(){
			InitializeComponent();
		}
		#endregion
		#region Destructor
		/// <summary>
		/// Clean up any resources being used.
		/// </summary>
		protected override void Dispose( bool disposing ){
			base.Dispose(disposing);

		}
		#endregion
		#region Properties
		#endregion
		#region Windows Form Designer generated code
		/// <summary>
		/// Required method for Designer support - do not modify
		/// the contents of this method with the code editor.
		/// </summary>
		private void InitializeComponent() {
			this.prbProgress = new System.Windows.Forms.ProgressBar();
			this.barStatebar = new System.Windows.Forms.StatusBar();
			this.bndState = new System.Windows.Forms.StatusBarPanel();
			this.bndDoc = new System.Windows.Forms.StatusBarPanel();
			this.bndIconSave = new System.Windows.Forms.StatusBarPanel();
			this.bndIconLock = new System.Windows.Forms.StatusBarPanel();
			this.bndUser = new System.Windows.Forms.StatusBarPanel();
			this.bndExtended = new System.Windows.Forms.StatusBarPanel();
			this.mnuMain = new System.Windows.Forms.MainMenu();
			this.mnuGridDemo = new System.Windows.Forms.MenuItem();
			this.mnuBigSize = new System.Windows.Forms.MenuItem();
			this.mnuColors = new System.Windows.Forms.MenuItem();
			this.mnuFonts = new System.Windows.Forms.MenuItem();
			this.mnuSort = new System.Windows.Forms.MenuItem();
			this.mnuPics = new System.Windows.Forms.MenuItem();
			this.mnuOutlineRow = new System.Windows.Forms.MenuItem();
			this.mnuOutlineCol = new System.Windows.Forms.MenuItem();
			this.mnuCtrls = new System.Windows.Forms.MenuItem();
			this.mnuPicAlign = new System.Windows.Forms.MenuItem();
			this.mnuStrTrim = new System.Windows.Forms.MenuItem();
			this.mnuCellSpan = new System.Windows.Forms.MenuItem();
			this.mnuCellMerge = new System.Windows.Forms.MenuItem();
			this.mnuProp = new System.Windows.Forms.MenuItem();
			this.mnuBreak0 = new System.Windows.Forms.MenuItem();
			this.mnuQuit = new System.Windows.Forms.MenuItem();
			this.menuItem2 = new System.Windows.Forms.MenuItem();
			this.mnuCtrlCheckbox = new System.Windows.Forms.MenuItem();
			this.mnuCtrlTextbox = new System.Windows.Forms.MenuItem();
			this.mnuCtrlDate = new System.Windows.Forms.MenuItem();
			this.mnuCtrlRtf = new System.Windows.Forms.MenuItem();
			this.mnuCtrlCombobox = new System.Windows.Forms.MenuItem();
			this.mnuCtrlListbox = new System.Windows.Forms.MenuItem();
			this.mnuCtrlUserCtrl = new System.Windows.Forms.MenuItem();
			this.mnuCtrl3rdParty = new System.Windows.Forms.MenuItem();
			this.menuItem5 = new System.Windows.Forms.MenuItem();
			this.mnuCtrlPosition = new System.Windows.Forms.MenuItem();
			this.mnuCtrlControls = new System.Windows.Forms.MenuItem();
			this.menuItem3 = new System.Windows.Forms.MenuItem();
			this.mnuExplorer = new System.Windows.Forms.MenuItem();
			this.mnuAdr = new System.Windows.Forms.MenuItem();
			this.mnuTetris = new System.Windows.Forms.MenuItem();
			this.mnuMineSweep = new System.Windows.Forms.MenuItem();
			this.mnuWindow = new System.Windows.Forms.MenuItem();
			this.mnuWinHoriz = new System.Windows.Forms.MenuItem();
			this.mnuWinVert = new System.Windows.Forms.MenuItem();
			this.mnuWinOverlap = new System.Windows.Forms.MenuItem();
			this.mnuWinSymbol = new System.Windows.Forms.MenuItem();
			((System.ComponentModel.ISupportInitialize)(this.bndState)).BeginInit();
			((System.ComponentModel.ISupportInitialize)(this.bndDoc)).BeginInit();
			((System.ComponentModel.ISupportInitialize)(this.bndIconSave)).BeginInit();
			((System.ComponentModel.ISupportInitialize)(this.bndIconLock)).BeginInit();
			((System.ComponentModel.ISupportInitialize)(this.bndUser)).BeginInit();
			((System.ComponentModel.ISupportInitialize)(this.bndExtended)).BeginInit();
			this.SuspendLayout();
			// 
			// prbProgress
			// 
			this.prbProgress.Location = new System.Drawing.Point(0, 4);
			this.prbProgress.Name = "prbProgress";
			this.prbProgress.Size = new System.Drawing.Size(192, 12);
			this.prbProgress.TabIndex = 0;
			// 
			// barStatebar
			// 
			this.barStatebar.Font = new System.Drawing.Font("Tahoma", 8.25F, System.Drawing.FontStyle.Regular, System.Drawing.GraphicsUnit.Point, ((System.Byte)(0)));
			this.barStatebar.Location = new System.Drawing.Point(0, 250);
			this.barStatebar.Name = "barStatebar";
			this.barStatebar.Panels.AddRange(new System.Windows.Forms.StatusBarPanel[] {
																																									 this.bndState,
																																									 this.bndDoc,
																																									 this.bndIconSave,
																																									 this.bndIconLock,
																																									 this.bndUser,
																																									 this.bndExtended});
			this.barStatebar.ShowPanels = true;
			this.barStatebar.Size = new System.Drawing.Size(472, 23);
			this.barStatebar.TabIndex = 7;
			// 
			// bndState
			// 
			this.bndState.Text = "Bereit";
			this.bndState.Width = 200;
			// 
			// bndDoc
			// 
			this.bndDoc.Text = "Rechnung";
			this.bndDoc.Width = 200;
			// 
			// bndIconSave
			// 
			this.bndIconSave.Width = 22;
			// 
			// bndIconLock
			// 
			this.bndIconLock.Width = 22;
			// 
			// bndUser
			// 
			this.bndUser.AutoSize = System.Windows.Forms.StatusBarPanelAutoSize.Spring;
			this.bndUser.Width = 10;
			// 
			// bndExtended
			// 
			this.bndExtended.Width = 150;
			// 
			// mnuMain
			// 
			this.mnuMain.MenuItems.AddRange(new System.Windows.Forms.MenuItem[] {
																																						this.mnuGridDemo,
																																						this.menuItem2,
																																						this.menuItem3,
																																						this.mnuWindow});
			// 
			// mnuGridDemo
			// 
			this.mnuGridDemo.Index = 0;
			this.mnuGridDemo.MenuItems.AddRange(new System.Windows.Forms.MenuItem[] {
																																								this.mnuBigSize,
																																								this.mnuColors,
																																								this.mnuFonts,
																																								this.mnuSort,
																																								this.mnuPics,
																																								this.mnuOutlineRow,
																																								this.mnuOutlineCol,
																																								this.mnuCtrls,
																																								this.mnuPicAlign,
																																								this.mnuStrTrim,
																																								this.mnuCellSpan,
																																								this.mnuCellMerge,
																																								this.mnuProp,
																																								this.mnuBreak0,
																																								this.mnuQuit});
			this.mnuGridDemo.Text = "Grid-Demo";
			// 
			// mnuBigSize
			// 
			this.mnuBigSize.Index = 0;
			this.mnuBigSize.Text = "100.000 Cells";
			this.mnuBigSize.Click += new System.EventHandler(this.mnuBigSize_Click);
			// 
			// mnuColors
			// 
			this.mnuColors.Index = 1;
			this.mnuColors.Text = "Colors";
			this.mnuColors.Click += new System.EventHandler(this.mnuColors_Click);
			// 
			// mnuFonts
			// 
			this.mnuFonts.Index = 2;
			this.mnuFonts.Text = "Schriften";
			this.mnuFonts.Click += new System.EventHandler(this.mnuFonts_Click);
			// 
			// mnuSort
			// 
			this.mnuSort.Index = 3;
			this.mnuSort.Text = "Sort";
			this.mnuSort.Click += new System.EventHandler(this.mnuSort_Click);
			// 
			// mnuPics
			// 
			this.mnuPics.Index = 4;
			this.mnuPics.Text = "Bilder";
			this.mnuPics.Click += new System.EventHandler(this.mnuPics_Click);
			// 
			// mnuOutlineRow
			// 
			this.mnuOutlineRow.Index = 5;
			this.mnuOutlineRow.Text = "Outline Zeilen (vert. TreeView)";
			this.mnuOutlineRow.Click += new System.EventHandler(this.mnuOutlineRow_Click);
			// 
			// mnuOutlineCol
			// 
			this.mnuOutlineCol.Index = 6;
			this.mnuOutlineCol.Text = "Outline Spalten (horiz. Treeview)";
			this.mnuOutlineCol.Click += new System.EventHandler(this.mnuOutlineCol_Click);
			// 
			// mnuCtrls
			// 
			this.mnuCtrls.Index = 7;
			this.mnuCtrls.Text = "Text-Alignment";
			this.mnuCtrls.Click += new System.EventHandler(this.mnuTextAlign_Click);
			// 
			// mnuPicAlign
			// 
			this.mnuPicAlign.Index = 8;
			this.mnuPicAlign.Text = "Picture-Alignment";
			this.mnuPicAlign.Click += new System.EventHandler(this.mnuPicAlign_Click);
			// 
			// mnuStrTrim
			// 
			this.mnuStrTrim.Index = 9;
			this.mnuStrTrim.Text = "String Trimming";
			this.mnuStrTrim.Click += new System.EventHandler(this.mnuStrTrim_Click);
			// 
			// mnuCellSpan
			// 
			this.mnuCellSpan.Index = 10;
			this.mnuCellSpan.Text = "Cell-Span";
			this.mnuCellSpan.Click += new System.EventHandler(this.mnuCellSpan_Click);
			// 
			// mnuCellMerge
			// 
			this.mnuCellMerge.Index = 11;
			this.mnuCellMerge.Text = "Cell-Merge";
			this.mnuCellMerge.Click += new System.EventHandler(this.mnuCellMerge_Click);
			// 
			// mnuProp
			// 
			this.mnuProp.Index = 12;
			this.mnuProp.Text = "Property-Editor";
			this.mnuProp.Click += new System.EventHandler(this.mnuProp_Click);
			// 
			// mnuBreak0
			// 
			this.mnuBreak0.Index = 13;
			this.mnuBreak0.Text = "-";
			// 
			// mnuQuit
			// 
			this.mnuQuit.Index = 14;
			this.mnuQuit.Text = "Quit";
			this.mnuQuit.Click += new System.EventHandler(this.mnuQuit_Click);
			// 
			// menuItem2
			// 
			this.menuItem2.Index = 1;
			this.menuItem2.MenuItems.AddRange(new System.Windows.Forms.MenuItem[] {
																																							this.mnuCtrlCheckbox,
																																							this.mnuCtrlTextbox,
																																							this.mnuCtrlDate,
																																							this.mnuCtrlRtf,
																																							this.mnuCtrlCombobox,
																																							this.mnuCtrlListbox,
																																							this.mnuCtrlUserCtrl,
																																							this.mnuCtrl3rdParty,
																																							this.menuItem5,
																																							this.mnuCtrlPosition,
																																							this.mnuCtrlControls});
			this.menuItem2.Text = "Controls";
			// 
			// mnuCtrlCheckbox
			// 
			this.mnuCtrlCheckbox.Index = 0;
			this.mnuCtrlCheckbox.Text = "Checkbox";
			this.mnuCtrlCheckbox.Click += new System.EventHandler(this.mnuCtrlCheckbox_Click);
			// 
			// mnuCtrlTextbox
			// 
			this.mnuCtrlTextbox.Index = 1;
			this.mnuCtrlTextbox.Text = "Textbox";
			this.mnuCtrlTextbox.Click += new System.EventHandler(this.mnuCtrlTextbox_Click);
			// 
			// mnuCtrlDate
			// 
			this.mnuCtrlDate.Index = 2;
			this.mnuCtrlDate.Text = "DateTimePicker";
			this.mnuCtrlDate.Click += new System.EventHandler(this.mnuCtrlDate_Click);
			// 
			// mnuCtrlRtf
			// 
			this.mnuCtrlRtf.Index = 3;
			this.mnuCtrlRtf.Text = "Richtextbox";
			this.mnuCtrlRtf.Click += new System.EventHandler(this.mnuCtrlRtf_Click);
			// 
			// mnuCtrlCombobox
			// 
			this.mnuCtrlCombobox.Index = 4;
			this.mnuCtrlCombobox.Text = "Combobox";
			this.mnuCtrlCombobox.Click += new System.EventHandler(this.mnuCtrlCombobox_Click);
			// 
			// mnuCtrlListbox
			// 
			this.mnuCtrlListbox.Index = 5;
			this.mnuCtrlListbox.Text = "Listbox";
			this.mnuCtrlListbox.Click += new System.EventHandler(this.mnuCtrlListbox_Click);
			// 
			// mnuCtrlUserCtrl
			// 
			this.mnuCtrlUserCtrl.Index = 6;
			this.mnuCtrlUserCtrl.Text = "Usercontrol";
			this.mnuCtrlUserCtrl.Click += new System.EventHandler(this.mnuCtrlUserCtrl_Click);
			// 
			// mnuCtrl3rdParty
			// 
			this.mnuCtrl3rdParty.Index = 7;
			this.mnuCtrl3rdParty.Text = "3rd Party Control";
			this.mnuCtrl3rdParty.Click += new System.EventHandler(this.mnuCtrl3rdParty_Click);
			// 
			// menuItem5
			// 
			this.menuItem5.Index = 8;
			this.menuItem5.Text = "-";
			// 
			// mnuCtrlPosition
			// 
			this.mnuCtrlPosition.Index = 9;
			this.mnuCtrlPosition.Text = "Positionen";
			this.mnuCtrlPosition.Click += new System.EventHandler(this.mnuCtrlPosition_Click);
			// 
			// mnuCtrlControls
			// 
			this.mnuCtrlControls.Index = 10;
			this.mnuCtrlControls.Text = "Controls";
			this.mnuCtrlControls.Click += new System.EventHandler(this.mnuCtrlControls_Click);
			// 
			// menuItem3
			// 
			this.menuItem3.Index = 2;
			this.menuItem3.MenuItems.AddRange(new System.Windows.Forms.MenuItem[] {
																																							this.mnuExplorer,
																																							this.mnuAdr,
																																							this.mnuTetris,
																																							this.mnuMineSweep});
			this.menuItem3.Text = "Clones";
			// 
			// mnuExplorer
			// 
			this.mnuExplorer.Index = 0;
			this.mnuExplorer.Text = "Explorer";
			this.mnuExplorer.Click += new System.EventHandler(this.mnuExplorer_Click);
			// 
			// mnuAdr
			// 
			this.mnuAdr.Index = 1;
			this.mnuAdr.Text = "Adressen";
			this.mnuAdr.Click += new System.EventHandler(this.mnuAdress_Click);
			// 
			// mnuTetris
			// 
			this.mnuTetris.Index = 2;
			this.mnuTetris.Text = "Tetris";
			this.mnuTetris.Click += new System.EventHandler(this.mnuTetris_Click);
			// 
			// mnuMineSweep
			// 
			this.mnuMineSweep.Index = 3;
			this.mnuMineSweep.Text = "Sweeper";
			this.mnuMineSweep.Click += new System.EventHandler(this.mnuMineSweep_Click);
			// 
			// mnuWindow
			// 
			this.mnuWindow.Index = 3;
			this.mnuWindow.MdiList = true;
			this.mnuWindow.MenuItems.AddRange(new System.Windows.Forms.MenuItem[] {
																																							this.mnuWinHoriz,
																																							this.mnuWinVert,
																																							this.mnuWinOverlap,
																																							this.mnuWinSymbol});
			this.mnuWindow.Text = "Fenster";
			// 
			// mnuWinHoriz
			// 
			this.mnuWinHoriz.Index = 0;
			this.mnuWinHoriz.Text = "Horizontal";
			this.mnuWinHoriz.Click += new System.EventHandler(this.mnuWindowTileHoriz_Click);
			// 
			// mnuWinVert
			// 
			this.mnuWinVert.Index = 1;
			this.mnuWinVert.Text = "Vertikal";
			this.mnuWinVert.Click += new System.EventHandler(this.mnuWindowTileVert_Click);
			// 
			// mnuWinOverlap
			// 
			this.mnuWinOverlap.Index = 2;
			this.mnuWinOverlap.Text = "berlappend";
			this.mnuWinOverlap.Click += new System.EventHandler(this.mnuWindowTileOverlap_Click);
			// 
			// mnuWinSymbol
			// 
			this.mnuWinSymbol.Index = 3;
			this.mnuWinSymbol.Text = "Symbole";
			this.mnuWinSymbol.Click += new System.EventHandler(this.mnuWindowArrangeSymbol_Click);
			// 
			// frmMain
			// 
			this.AutoScaleBaseSize = new System.Drawing.Size(5, 13);
			this.ClientSize = new System.Drawing.Size(472, 273);
			this.Controls.AddRange(new System.Windows.Forms.Control[] {
																																	this.barStatebar});
			this.IsMdiContainer = true;
			this.Menu = this.mnuMain;
			this.Name = "frmMain";
			this.Text = "ppsGrid-Demo...";
			((System.ComponentModel.ISupportInitialize)(this.bndState)).EndInit();
			((System.ComponentModel.ISupportInitialize)(this.bndDoc)).EndInit();
			((System.ComponentModel.ISupportInitialize)(this.bndIconSave)).EndInit();
			((System.ComponentModel.ISupportInitialize)(this.bndIconLock)).EndInit();
			((System.ComponentModel.ISupportInitialize)(this.bndUser)).EndInit();
			((System.ComponentModel.ISupportInitialize)(this.bndExtended)).EndInit();
			this.ResumeLayout(false);

		}
		#endregion

		/// <summary>
		/// The main entry point for the application.
		/// </summary>
		[STAThread]
		static void Main() {
			Application.Run(new frmMain());
		}

		#region File Quit
		private void mnuQuit_Click(object sender, System.EventArgs e) {
			try{
			}
			finally{
				this.Close();
			}
		}
		#endregion
		#region demo forms

		private void mnuBigSize_Click(object sender, System.EventArgs e) {
			frmBigSize	frm=null;
			try{
				frm=new frmBigSize();																					// display in new form
				frm.MdiParent=this;
				frm.Show();
				frm.Init();
			}
			catch(Exception ex){
				if(frm!=null)	frm.Close();																		// error..
				MessageBox.Show(ex.StackTrace);
			}
		}


		private void mnuColors_Click(object sender, System.EventArgs e) {
			frmColors	frm=null;
			try{
				frm=new frmColors();																					// display in new form
				frm.MdiParent=this;
				frm.Show();
				frm.Init();
			}
			catch(Exception ex){
				if(frm!=null)	frm.Close();																		// error..
				MessageBox.Show(ex.StackTrace);
			}
		}


		private void mnuFonts_Click(object sender, System.EventArgs e) {
			frmFonts	frm=null;
			try{
				frm=new frmFonts();																					// display in new form
				frm.MdiParent=this;
				frm.Show();
				frm.Init();
			}
			catch(Exception ex){
				if(frm!=null)	frm.Close();																		// error..
				MessageBox.Show(ex.StackTrace);
			}
		}

		private void mnuSort_Click(object sender, System.EventArgs e) {
			frmSort	frm=null;
			try{
				frm=new frmSort();																						// display in new form
				frm.MdiParent=this;
				frm.Show();
				frm.Init();
			}
			catch(Exception ex){
				if(frm!=null)	frm.Close();																		// error..
				MessageBox.Show(ex.StackTrace);
			}
		}

		private void mnuPics_Click(object sender, System.EventArgs e) {
			frmPics	frm=null;
			try{
				frm=new frmPics();																					// display in new form
				frm.MdiParent=this;
				frm.Show();
				frm.Init();
			}
			catch(Exception ex){
				if(frm!=null)	frm.Close();																		// error..
				MessageBox.Show(ex.StackTrace);
			}
		}
		private void mnuOutlineRow_Click(object sender, System.EventArgs e) {
			frmOutlineRow	frm=null;
			try{
				frm=new frmOutlineRow();																					// display in new form
				frm.MdiParent=this;
				frm.Show();
				frm.Init();
			}
			catch(Exception ex){
				if(frm!=null)	frm.Close();																		// error..
				MessageBox.Show(ex.StackTrace);
			}
		}
		private void mnuOutlineCol_Click(object sender, System.EventArgs e) {
			frmOutlineCol	frm=null;
			try{
				frm=new frmOutlineCol();																					// display in new form
				frm.MdiParent=this;
				frm.Show();
				frm.Init();
			}
			catch(Exception ex){
				if(frm!=null)	frm.Close();																		// error..
				MessageBox.Show(ex.StackTrace);
			}
		}
		private void mnuStrTrim_Click(object sender, System.EventArgs e) {
			frmStrTrim	frm=null;
			try{
				frm=new frmStrTrim();																					// display in new form
				frm.MdiParent=this;
				frm.Show();
				frm.Init();
			}
			catch(Exception ex){
				if(frm!=null)	frm.Close();																		// error..
				MessageBox.Show(ex.StackTrace);
			}
		}
		private void mnuProp_Click(object sender, System.EventArgs e) {
			frmProp	frm=null;
			try{
				frm=new frmProp();																					// display in new form
				frm.MdiParent=this;
				frm.Show();
				frm.Init();
			}
			catch(Exception ex){
				if(frm!=null)	frm.Close();																		// error..
				MessageBox.Show(ex.StackTrace);
			}
		}
		private void mnuTextAlign_Click(object sender, System.EventArgs e) {
			frmTextAlign	frm=null;
			try{
				frm=new frmTextAlign();																						// display in new form
				frm.MdiParent=this;
				frm.Show();
				frm.Init();
			}
			catch(Exception ex){
				if(frm!=null)	frm.Close();																		// error..
				MessageBox.Show(ex.StackTrace);
			}
		}
		private void mnuPicAlign_Click(object sender, System.EventArgs e) {
			frmPicAlign	frm=null;
			try{
				frm=new frmPicAlign();																						// display in new form
				frm.MdiParent=this;
				frm.Show();
				frm.Init();
			}
			catch(Exception ex){
				if(frm!=null)	frm.Close();																		// error..
				MessageBox.Show(ex.StackTrace);
			}
		}
		private void mnuExplorer_Click(object sender, System.EventArgs e) {
			frmExplorer	frm=null;
			try{
				frm=new frmExplorer();																						// display in new form
				frm.MdiParent=this;
				frm.Show();
				frm.Init();
			}
			catch(Exception ex){
				if(frm!=null)	frm.Close();																		// error..
				MessageBox.Show(ex.StackTrace);
			}
		}
		private void mnuAdress_Click(object sender, System.EventArgs e) {
			frmAdr	frm=null;
			try{
				frm=new frmAdr();																						// display in new form
				frm.MdiParent=this;
				frm.Show();
				frm.Init();
			}
			catch(Exception ex){
				if(frm!=null)	frm.Close();																		// error..
				MessageBox.Show(ex.StackTrace);
			}
		}
		private void mnuTetris_Click(object sender, System.EventArgs e) {
			frmTetris	frm=null;
			try{
				frm=new frmTetris();																						// display in new form
				frm.MdiParent=this;
				frm.Show();
				frm.Init();
			}
			catch(Exception ex){
				if(frm!=null)	frm.Close();																		// error..
				MessageBox.Show(ex.StackTrace);
			}
		}
		private void mnuMineSweep_Click(object sender, System.EventArgs e) {
			frmSweeper	frm=null;
			try{
				frm=new frmSweeper();																						// display in new form
				frm.MdiParent=this;
				frm.Show();
				frm.Init();
			}
			catch(Exception ex){
				if(frm!=null)	frm.Close();																		// error..
				MessageBox.Show(ex.StackTrace);
			}
		}
		private void mnuCellSpan_Click(object sender, System.EventArgs e) {
			frmCellSpan	frm=null;
			try{
				frm=new frmCellSpan();																						// display in new form
				frm.MdiParent=this;
				frm.Show();
				frm.Init();
			}
			catch(Exception ex){
				if(frm!=null)	frm.Close();																		// error..
				MessageBox.Show(ex.StackTrace);
			}
		}

		private void mnuCellMerge_Click(object sender, System.EventArgs e) {
			frmCellMerge	frm=null;
			try{
				frm=new frmCellMerge();																						// display in new form
				frm.MdiParent=this;
				frm.Show();
				frm.Init();
			}
			catch(Exception ex){
				if(frm!=null)	frm.Close();																		// error..
				MessageBox.Show(ex.StackTrace);
			}
		}

		private void mnuGridTest_Click(object sender, System.EventArgs e) {
			frmGrid	frm=null;
			try{
				frm=new frmGrid();																						// display in new form
				frm.MdiParent=this;
				frm.Show();
				frm.Init();
			}
			catch(Exception ex){
				if(frm!=null)	frm.Close();																		// error..
				MessageBox.Show(ex.Message+Environment.NewLine+ex.StackTrace);
			}
		}
		#endregion
		#region Menue Control
		private void mnuCtrlCheckbox_Click(object sender, System.EventArgs e) {
			frmCtrlCheckbox	frm=null;
			try{
				frm=new frmCtrlCheckbox();																					// display in new form
				frm.MdiParent=this;
				frm.Show();
				frm.Init();
			}
			catch(Exception ex){
				if(frm!=null)	frm.Close();																		// error..
				MessageBox.Show(ex.StackTrace);
			}
		}

		private void mnuCtrlTextbox_Click(object sender, System.EventArgs e) {
			frmCtrlTextbox	frm=null;
			try{
				frm=new frmCtrlTextbox();																					// display in new form
				frm.MdiParent=this;
				frm.Show();
				frm.Init();
			}
			catch(Exception ex){
				if(frm!=null)	frm.Close();																		// error..
				MessageBox.Show(ex.StackTrace);
			}
		}
		
		private void mnuCtrlDate_Click(object sender, System.EventArgs e) {
			frmCtrlDatebox	frm=null;
			try{
				frm=new frmCtrlDatebox();																					// display in new form
				frm.MdiParent=this;
				frm.Show();
				frm.Init();
			}
			catch(Exception ex){
				if(frm!=null)	frm.Close();																		// error..
				MessageBox.Show(ex.StackTrace);
			}
		}

		private void mnuCtrlRtf_Click(object sender, System.EventArgs e) {
			frmCtrlRichtextbox	frm=null;
			try{
				frm=new frmCtrlRichtextbox();																					// display in new form
				frm.MdiParent=this;
				frm.Show();
				frm.Init();
			}
			catch(Exception ex){
				if(frm!=null)	frm.Close();																		// error..
				MessageBox.Show(ex.StackTrace);
			}
		}

		private void mnuCtrlCombobox_Click(object sender, System.EventArgs e) {
			frmCtrlCombobox	frm=null;
			try{
				frm=new frmCtrlCombobox();																					// display in new form
				frm.MdiParent=this;
				frm.Show();
				frm.Init();
			}
			catch(Exception ex){
				if(frm!=null)	frm.Close();																		// error..
				MessageBox.Show(ex.StackTrace);
			}
		}

		private void mnuCtrlListbox_Click(object sender, System.EventArgs e) {
			frmCtrlListbox	frm=null;
			try{
				frm=new frmCtrlListbox();																					// display in new form
				frm.MdiParent=this;
				frm.Show();
				frm.Init();
			}
			catch(Exception ex){
				if(frm!=null)	frm.Close();																		// error..
				MessageBox.Show(ex.StackTrace);
			}
		}

		private void mnuCtrlUserCtrl_Click(object sender, System.EventArgs e) {
			frmCtrlUsercontrol	frm=null;
			try{
				frm=new frmCtrlUsercontrol();																					// display in new form
				frm.MdiParent=this;
				frm.Show();
				frm.Init();
			}
			catch(Exception ex){
				if(frm!=null)	frm.Close();																		// error..
				MessageBox.Show(ex.StackTrace);
			}
		}
		private void mnuCtrl3rdParty_Click(object sender, System.EventArgs e) {
			frmCtrl3rdParty	frm=null;
			try{
				frm=new frmCtrl3rdParty();																					// display in new form
				frm.MdiParent=this;
				frm.Show();
				frm.Init();
			}
			catch(Exception ex){
				if(frm!=null)	frm.Close();																		// error..
				MessageBox.Show(ex.StackTrace);
			}
		}
		private void mnuCtrlPosition_Click(object sender, System.EventArgs e) {
			frmCtrlPosition	frm=null;
			try{
				frm=new frmCtrlPosition();																					// display in new form
				frm.MdiParent=this;
				frm.Show();
				frm.Init();
			}
			catch(Exception ex){
				if(frm!=null)	frm.Close();																		// error..
				MessageBox.Show(ex.StackTrace);
			}
		}
		private void mnuCtrlControls_Click(object sender, System.EventArgs e) {
			frmCtrlControl	frm=null;
			try{
				frm=new frmCtrlControl();																					// display in new form
				frm.MdiParent=this;
				frm.Show();
				frm.Init();
			}
			catch(Exception ex){
				if(frm!=null)	frm.Close();																		// error..
				MessageBox.Show(ex.StackTrace);
			}
		}
		#endregion
		#region Menue Window
		private void mnuWindowTileHoriz_Click(object sender, System.EventArgs e) {
			this.LayoutMdi(MdiLayout.TileHorizontal);
		}
		private void mnuWindowTileVert_Click(object sender, System.EventArgs e) {
			this.LayoutMdi(MdiLayout.TileVertical);
		}
		private void mnuWindowTileOverlap_Click(object sender, System.EventArgs e) {
			this.LayoutMdi(MdiLayout.Cascade);
		}
		private void mnuWindowArrangeSymbol_Click(object sender, System.EventArgs e) {
			this.LayoutMdi(MdiLayout.ArrangeIcons);
		}
		#endregion






	}
}

