using System;
using System.Drawing;
using System.Collections;
using System.ComponentModel;
using System.Windows.Forms;
using ppsGrid;

namespace grdDemo.frm{
	/// <summary>
	/// Summary description for frmCtrlCheckbox.
	/// </summary>
	public class frmCtrl3rdParty: System.Windows.Forms.Form
	{
		private System.Windows.Forms.Label label3;
		private ppsGrid.GridRow rowDispEditFixed;
		private ppsGrid.GridCol colDispEditNo;
		private ppsGrid.Grid grdDispEdit;
		private ppsGrid.GridCol colDispEdit3rdParty;
		private System.Windows.Forms.Label labClickMsg;
		/// <summary>
		/// Required designer variable.
		/// </summary>
		private System.ComponentModel.Container components = null;

		public frmCtrl3rdParty(){
			InitializeComponent();
		}
		public void Init(){
			usrButtonVert		btn;

			grdDispEdit.PreferredRowHeight=64;
			grdDispEdit.AddRows(20);

//			btn=new usrButtonVert();
//			btn.BackColor=SystemColors.Control;
//			btn.ForeColor=SystemColors.ControlText;
//			btn.TextAlign=ContentAlignment.MiddleLeft;
//			btn.Dock=DockStyle.Left;
//			btn.Text="<...Click here...>";
			grdDispEdit.Cols["colDispEdit3rdParty"].ControlDisplayInfo.Control=null;

			
			btn=new usrButtonVert();
			btn.BackColor=SystemColors.ControlDark;
			btn.ForeColor=Color.Yellow;
			btn.TextAlign=ContentAlignment.MiddleRight;
			btn.Dock=DockStyle.Left;
			btn.Text="<...Thanks...>";
			btn.Click+=new EventHandler(btnVert_Click);
			grdDispEdit.Cols["colDispEdit3rdParty"].ControlEditInfo.Control=btn;
		}

		private void btnVert_Click(object sender, System.EventArgs e) {
			Point	focus=grdDispEdit.FocusCell;
			labClickMsg.Text="Clicked ---> Spalte " +focus.X+", Zeile "+focus.Y;
		}

		/// <summary>
		/// Clean up any resources being used.
		/// </summary>
		protected override void Dispose( bool disposing )
		{
			if( disposing )
			{
				if(components != null)
				{
					components.Dispose();
				}
			}
			base.Dispose( disposing );
		}

		#region Windows Form Designer generated code
		/// <summary>
		/// Required method for Designer support - do not modify
		/// the contents of this method with the code editor.
		/// </summary>
		private void InitializeComponent()
		{
			this.label3 = new System.Windows.Forms.Label();
			this.grdDispEdit = new ppsGrid.Grid();
			this.colDispEditNo = new ppsGrid.GridCol();
			this.colDispEdit3rdParty = new ppsGrid.GridCol();
			this.rowDispEditFixed = new ppsGrid.GridRow();
			this.labClickMsg = new System.Windows.Forms.Label();
			this.SuspendLayout();
			// 
			// label3
			// 
			this.label3.Anchor = ((System.Windows.Forms.AnchorStyles.Top | System.Windows.Forms.AnchorStyles.Left) 
				| System.Windows.Forms.AnchorStyles.Right);
			this.label3.Location = new System.Drawing.Point(16, 8);
			this.label3.Name = "label3";
			this.label3.Size = new System.Drawing.Size(368, 16);
			this.label3.TabIndex = 4;
			this.label3.Text = "btnVert (3rd Party): Anzeige+Editieren";
			this.label3.TextAlign = System.Drawing.ContentAlignment.TopCenter;
			// 
			// grdDispEdit
			// 
			this.grdDispEdit.Anchor = (((System.Windows.Forms.AnchorStyles.Top | System.Windows.Forms.AnchorStyles.Bottom) 
				| System.Windows.Forms.AnchorStyles.Left) 
				| System.Windows.Forms.AnchorStyles.Right);
			this.grdDispEdit.Cols.AddRange(new object[] {
																										this.colDispEditNo,
																										this.colDispEdit3rdParty});
			this.grdDispEdit.FixedRowType = (ppsGrid.eFixedRowType.Moveable | ppsGrid.eFixedRowType.Sizeable);
			this.grdDispEdit.Location = new System.Drawing.Point(8, 24);
			this.grdDispEdit.Name = "grdDispEdit";
			this.grdDispEdit.PreferredRowHeight = 24;
			this.grdDispEdit.Rows.AddRange(new object[] {
																										this.rowDispEditFixed});
			this.grdDispEdit.SelectionType = ppsGrid.eSelectionType.None;
			this.grdDispEdit.Size = new System.Drawing.Size(376, 216);
			this.grdDispEdit.TabIndex = 3;
			// 
			// colDispEditNo
			// 
			this.colDispEditNo.AutoNumber = true;
			this.colDispEditNo.Fixed = true;
			this.colDispEditNo.Name = "colDispEditNo";
			this.colDispEditNo.Width = 25;
			this.colDispEditNo.WidthPercent = 35;
			// 
			// colDispEdit3rdParty
			// 
			this.colDispEdit3rdParty.Name = "colDispEdit3rdParty";
			this.colDispEdit3rdParty.WidthPercent = 100;
			this.colDispEdit3rdParty.WidthType = ppsGrid.eWidthType.Percent;
			// 
			// rowDispEditFixed
			// 
			this.rowDispEditFixed.Fixed = true;
			this.rowDispEditFixed.Name = "rowDispEditFixed";
			// 
			// labClickMsg
			// 
			this.labClickMsg.Anchor = ((System.Windows.Forms.AnchorStyles.Bottom | System.Windows.Forms.AnchorStyles.Left) 
				| System.Windows.Forms.AnchorStyles.Right);
			this.labClickMsg.Location = new System.Drawing.Point(8, 248);
			this.labClickMsg.Name = "labClickMsg";
			this.labClickMsg.Size = new System.Drawing.Size(368, 16);
			this.labClickMsg.TabIndex = 5;
			this.labClickMsg.TextAlign = System.Drawing.ContentAlignment.TopCenter;
			// 
			// frmCtrl3rdParty
			// 
			this.AutoScaleBaseSize = new System.Drawing.Size(5, 13);
			this.ClientSize = new System.Drawing.Size(392, 261);
			this.Controls.AddRange(new System.Windows.Forms.Control[] {
																																	this.labClickMsg,
																																	this.label3,
																																	this.grdDispEdit});
			this.Name = "frmCtrl3rdParty";
			this.Text = "frmCtrlUsercontrol";
			this.ResumeLayout(false);

		}
		#endregion
	}
}
