using System;
using System.Drawing;
using System.Collections;
using System.ComponentModel;
using System.Windows.Forms;
using ppsGrid;

namespace grdDemo.frm{
	/// <summary>
	/// Summary description for frmCtrlCheckbox.
	/// </summary>
	public class frmCtrlUsercontrol: System.Windows.Forms.Form
	{
		private ppsGrid.GridRow rowDispEditFixed;
		private ppsGrid.GridCol colDispEditNo;
		private ppsGrid.Grid grdDispEdit;
		private ppsGrid.GridCol colDispEditUserctrl;
		/// <summary>
		/// Required designer variable.
		/// </summary>
		private System.ComponentModel.Container components = null;

		public frmCtrlUsercontrol(){
			InitializeComponent();
		}
		public void Init(){
			usrCar		car;
			Random		rnd=new Random();
			string		pth=Application.StartupPath;															// ..ja
			string[]	names=new String[]{
																		"A170", "Golf","320i","Beetle","Multivan",
																		"Carisma","Astra","Boxster","Chroma","C1"};
			string[]	hersteller=new String[]{
																		 "VW", "Opel","Mercedes","Fiat","Porsche",
																		 "Toyota","Ford","Peugeot","Citroen","Renault"};
			string[]	farbe=new String[]{
																		 "Blau", "Gelb","Schwarz","Grau","Wei",
																		 "Rot","Grn","Rosa","Lila","Dunkelgrau"};
			string[]	baujahr=new String[]{
																		 "1.1.1982", "30.4.1983","10.10.1992","15.5.1994","6.12.1997",
																		 "30.12.1999","2.7.2000","24.11.2002","17.3.2004","27.10.2005"};
			string[]	pics=new string[] {
																		 "bmw1er_1","bmw3er_1","bmw5er_1","polo_1","polo_2","polo_3","golf_1",
																		 "golf_2","passat_1","mb140_1","mb140_2","mbSlk_1","boxster_1","boxster_2",
																		 "ka_1","ka_2","smart_1","smart_2",
			};
			car=new usrCar();
			grdDispEdit.PreferredRowHeight=car.Height+4;
			grdDispEdit.Rows.Clear();
			grdDispEdit.AddRows(80);

			car.Dock=DockStyle.Fill;
			car.BackColor=SystemColors.Control;
			car.cboHersteller.Items.AddRange(hersteller);
			grdDispEdit.Cols["colDispEditUserctrl"].ControlDisplayInfo.Control=car;
			grdDispEdit.Cols["colDispEditUserctrl"].ControlDisplayInfo.PropertyName="myValue";

			car=new usrCar();
			car.Dock=DockStyle.Fill;
			car.BackColor=SystemColors.Control;
			car.cboHersteller.Items.AddRange(hersteller);
			grdDispEdit.Cols["colDispEditUserctrl"].ControlEditInfo.Control=car;
			grdDispEdit.Cols["colDispEditUserctrl"].ControlEditInfo.PropertyName="myValue";

			grdDispEdit.Cols["colDispEditUserctrl"].ControlEditInfo.KeyEditBegin.Key=Keys.F5;
			grdDispEdit.Cols["colDispEditUserctrl"].ControlEditInfo.KeyEditBegin.Modifier=Keys.Control;
			
			grdDispEdit.Cols["colDispEditUserctrl"].ControlEditInfo.KeyEditEnd.Key=Keys.F6;
			grdDispEdit.Cols["colDispEditUserctrl"].ControlEditInfo.KeyEditEnd.Modifier=Keys.Alt;
			
			grdDispEdit.Cols["colDispEditUserctrl"].ControlEditInfo.KeyEditCancel.Key=Keys.F7;
			grdDispEdit.Cols["colDispEditUserctrl"].ControlEditInfo.KeyEditCancel.Modifier=Keys.Shift;

			foreach(GridRow r in grdDispEdit.Rows)
				if(r.Fixed==false){
					string		nme=names[rnd.Next(names.Length)];
					int				hst=rnd.Next(hersteller.Length);
					Color			frb=Color.FromName(farbe[rnd.Next(farbe.Length)]);
					DateTime	bjh=DateTime.Parse(baujahr[rnd.Next(baujahr.Length)]);
					Bitmap		bmp=new Bitmap(pth+@"\pics\cars\"+pics[rnd.Next(pics.Length)]+".jpg");

					r["colDispEditUserctrl"].Value=new clsGridCar(nme,hst,frb,bjh,bmp);
				}
		}

		/// <summary>
		/// Clean up any resources being used.
		/// </summary>
		protected override void Dispose( bool disposing )
		{
			if( disposing )
			{
				if(components != null)
				{
					components.Dispose();
				}
			}
			base.Dispose( disposing );
		}

		#region Windows Form Designer generated code
		/// <summary>
		/// Required method for Designer support - do not modify
		/// the contents of this method with the code editor.
		/// </summary>
		private void InitializeComponent()
		{
			System.Resources.ResourceManager resources = new System.Resources.ResourceManager(typeof(frmCtrlUsercontrol));
			this.grdDispEdit = new ppsGrid.Grid();
			this.rowDispEditFixed = new ppsGrid.GridRow();
			this.colDispEditNo = new ppsGrid.GridCol();
			this.colDispEditUserctrl = new ppsGrid.GridCol();
			this.SuspendLayout();
			// 
			// grdDispEdit
			// 
			this.grdDispEdit.Anchor = (((System.Windows.Forms.AnchorStyles.Top | System.Windows.Forms.AnchorStyles.Bottom) 
				| System.Windows.Forms.AnchorStyles.Left) 
				| System.Windows.Forms.AnchorStyles.Right);
			this.grdDispEdit.BottomRow = this.rowDispEditFixed;
			this.grdDispEdit.Cols.AddRange(new object[] {
																										this.colDispEditNo,
																										this.colDispEditUserctrl});
			this.grdDispEdit.ControlEditInfo.Control = null;
			this.grdDispEdit.FixedRowType = (ppsGrid.eFixedRowType.Moveable | ppsGrid.eFixedRowType.Sizeable);
			this.grdDispEdit.LeftCol = this.colDispEditUserctrl;
			this.grdDispEdit.Location = new System.Drawing.Point(8, 8);
			this.grdDispEdit.Name = "grdDispEdit";
			this.grdDispEdit.PreferredRowHeight = 24;
			this.grdDispEdit.RightCol = this.colDispEditUserctrl;
			this.grdDispEdit.Rows.AddRange(new object[] {
																										this.rowDispEditFixed});
			this.grdDispEdit.SelectionType = ppsGrid.eSelectionType.None;
			this.grdDispEdit.Size = new System.Drawing.Size(296, 360);
			this.grdDispEdit.TabIndex = 3;
			this.grdDispEdit.TopRow = this.rowDispEditFixed;
			// 
			// rowDispEditFixed
			// 
			this.rowDispEditFixed.Fixed = true;
			this.rowDispEditFixed.Name = "rowDispEditFixed";
			// 
			// colDispEditNo
			// 
			this.colDispEditNo.AutoNumber = true;
			this.colDispEditNo.Fixed = true;
			this.colDispEditNo.Name = "colDispEditNo";
			this.colDispEditNo.Width = 25;
			this.colDispEditNo.WidthPercent = 35;
			// 
			// colDispEditUserctrl
			// 
			this.colDispEditUserctrl.Name = "colDispEditUserctrl";
			this.colDispEditUserctrl.WidthPercent = 100;
			this.colDispEditUserctrl.WidthType = ppsGrid.eWidthType.Percent;
			// 
			// frmCtrlUsercontrol
			// 
			this.AutoScaleBaseSize = new System.Drawing.Size(5, 13);
			this.ClientSize = new System.Drawing.Size(312, 373);
			this.Controls.AddRange(new System.Windows.Forms.Control[] {
																																	this.grdDispEdit});
			this.Name = "frmCtrlUsercontrol";
			this.Text = "frmCtrlUsercontrol";
			this.ResumeLayout(false);

		}
		#endregion
	}
}
