using System;
using System.Drawing;
using System.Collections;
using System.ComponentModel;
using System.Windows.Forms;
using	System.Reflection;
using System.Globalization;
using ppsGrid;

namespace grdDemo.frm{
	public class frmSelection:System.Windows.Forms.Form{
		private System.Windows.Forms.ColorDialog dlgColor;
		private System.Windows.Forms.RadioButton optBackColor;
		private System.Windows.Forms.RadioButton optForeColor;
		private System.Windows.Forms.GroupBox grpError;
		private System.Windows.Forms.Label labError;
		private System.Windows.Forms.NumericUpDown numCount;
		private ppsGrid.Grid grid;
		private System.Windows.Forms.Panel pnpProps;
		private System.Windows.Forms.GroupBox grpColor;
		private System.Windows.Forms.Panel pnlOutline;
		private System.Windows.Forms.Label labOutline;
		private System.Windows.Forms.Panel pnlCellframe;
		private System.Windows.Forms.Label labCellframe;
		private System.Windows.Forms.Panel pnlApp;
		private System.Windows.Forms.Label labApp;
		private System.Windows.Forms.Panel pnlGradient;
		private System.Windows.Forms.Label labGradient;
		private System.Windows.Forms.Panel pnlHighlight;
		private System.Windows.Forms.Label labHighlight;
		private System.Windows.Forms.Panel pnlFocus;
		private System.Windows.Forms.Label labFocus;
		private System.Windows.Forms.Panel pnlColor;
		private System.Windows.Forms.Label labColor;
		private System.Windows.Forms.GroupBox grpProp;
		private System.Windows.Forms.ComboBox cboStrAlignVert;
		private System.Windows.Forms.Label labStrAlignVert;
		private System.Windows.Forms.ComboBox cboStrAlignHorz;
		private System.Windows.Forms.Label labStrAlignHorz;
		private System.Windows.Forms.ComboBox cboOutlineDashStyle;
		private System.Windows.Forms.Label labOutlineDashStyle;
		private System.Windows.Forms.ComboBox cboFrameDashStyle;
		private System.Windows.Forms.ComboBox cboGradientMode;
		private System.Windows.Forms.Label labGradientmode;
		private System.Windows.Forms.Label labFrameDashStyle;
		private System.Windows.Forms.TextBox txtValue;
		private System.Windows.Forms.TextBox txtFormatStr;
		private System.Windows.Forms.Label labValue;
		private System.Windows.Forms.Label labHeight;
		private System.Windows.Forms.Label labWidth;
		private System.Windows.Forms.Label labFormatStr;
		private System.Windows.Forms.CheckBox chkOutlineMode;
		private System.Windows.Forms.CheckBox chkFixed;
		private System.Windows.Forms.GroupBox grpCmd;
		private System.Windows.Forms.Button btnAddChild;
		private System.Windows.Forms.Label labCount;
		private System.Windows.Forms.Button btnDel;
		private System.Windows.Forms.Button btnAdd;
		private System.Windows.Forms.GroupBox grpSel;
		private System.Windows.Forms.ComboBox cboSelTyp;
		private System.Windows.Forms.ComboBox cboSelMode;
		private System.Windows.Forms.Label labSelMode;
		private System.Windows.Forms.Label labSelTyp;
		private System.Windows.Forms.Panel pnlGrid;
		private System.Windows.Forms.ComboBox cboFrameTyp;
		private System.Windows.Forms.Label labFrameTyp;
		private System.Windows.Forms.NumericUpDown numHeight;
		private System.Windows.Forms.NumericUpDown numWidth;
		private System.Windows.Forms.Panel pnlRowAlternate;
		private System.Windows.Forms.Label labRowAlternate;
		private System.Windows.Forms.Panel pnlColAlternate;
		private System.Windows.Forms.Label labColAlternate;
		private System.Windows.Forms.GroupBox grpFocusCell;
		private System.Windows.Forms.TextBox txtFocusCellX;
		private System.Windows.Forms.CheckBox chkFocusCell;
		private System.Windows.Forms.Label labFocusCellX;
		private System.Windows.Forms.Label labFocusCellY;
		private System.Windows.Forms.TextBox txtFocusCellY;
		private System.Windows.Forms.Label labColRowType;
		private System.Windows.Forms.ComboBox cboFixedColType;
		private System.Windows.Forms.ComboBox cboFixedRowType;
		private System.Windows.Forms.Label label1;
		private System.Windows.Forms.Panel pnlHover;
		private System.Windows.Forms.Label labHover;
		private System.ComponentModel.Container components = null;

		public frmSelection(){
			InitializeComponent();
		}

		protected override void Dispose(bool disposing){
			if(disposing)
				if(components!=null)
					components.Dispose();
			base.Dispose(disposing);
		}

		#region Windows Form Designer generated code
		/// <summary>
		/// Required method for Designer support - do not modify
		/// the contents of this method with the code editor.
		/// </summary>
		private void InitializeComponent()
		{
			this.dlgColor = new System.Windows.Forms.ColorDialog();
			this.pnpProps = new System.Windows.Forms.Panel();
			this.grpFocusCell = new System.Windows.Forms.GroupBox();
			this.chkFocusCell = new System.Windows.Forms.CheckBox();
			this.txtFocusCellY = new System.Windows.Forms.TextBox();
			this.txtFocusCellX = new System.Windows.Forms.TextBox();
			this.labFocusCellY = new System.Windows.Forms.Label();
			this.labFocusCellX = new System.Windows.Forms.Label();
			this.grpColor = new System.Windows.Forms.GroupBox();
			this.pnlColAlternate = new System.Windows.Forms.Panel();
			this.labColAlternate = new System.Windows.Forms.Label();
			this.pnlOutline = new System.Windows.Forms.Panel();
			this.labOutline = new System.Windows.Forms.Label();
			this.pnlCellframe = new System.Windows.Forms.Panel();
			this.labCellframe = new System.Windows.Forms.Label();
			this.pnlApp = new System.Windows.Forms.Panel();
			this.labApp = new System.Windows.Forms.Label();
			this.optBackColor = new System.Windows.Forms.RadioButton();
			this.optForeColor = new System.Windows.Forms.RadioButton();
			this.pnlRowAlternate = new System.Windows.Forms.Panel();
			this.labRowAlternate = new System.Windows.Forms.Label();
			this.pnlGradient = new System.Windows.Forms.Panel();
			this.labGradient = new System.Windows.Forms.Label();
			this.pnlHighlight = new System.Windows.Forms.Panel();
			this.labHighlight = new System.Windows.Forms.Label();
			this.pnlFocus = new System.Windows.Forms.Panel();
			this.labFocus = new System.Windows.Forms.Label();
			this.pnlColor = new System.Windows.Forms.Panel();
			this.labColor = new System.Windows.Forms.Label();
			this.grpError = new System.Windows.Forms.GroupBox();
			this.labError = new System.Windows.Forms.Label();
			this.grpProp = new System.Windows.Forms.GroupBox();
			this.cboFixedRowType = new System.Windows.Forms.ComboBox();
			this.label1 = new System.Windows.Forms.Label();
			this.numWidth = new System.Windows.Forms.NumericUpDown();
			this.numHeight = new System.Windows.Forms.NumericUpDown();
			this.cboFrameTyp = new System.Windows.Forms.ComboBox();
			this.labFrameTyp = new System.Windows.Forms.Label();
			this.cboFixedColType = new System.Windows.Forms.ComboBox();
			this.labColRowType = new System.Windows.Forms.Label();
			this.cboStrAlignVert = new System.Windows.Forms.ComboBox();
			this.labStrAlignVert = new System.Windows.Forms.Label();
			this.cboStrAlignHorz = new System.Windows.Forms.ComboBox();
			this.labStrAlignHorz = new System.Windows.Forms.Label();
			this.cboOutlineDashStyle = new System.Windows.Forms.ComboBox();
			this.labOutlineDashStyle = new System.Windows.Forms.Label();
			this.cboFrameDashStyle = new System.Windows.Forms.ComboBox();
			this.cboGradientMode = new System.Windows.Forms.ComboBox();
			this.labGradientmode = new System.Windows.Forms.Label();
			this.labFrameDashStyle = new System.Windows.Forms.Label();
			this.txtValue = new System.Windows.Forms.TextBox();
			this.txtFormatStr = new System.Windows.Forms.TextBox();
			this.labValue = new System.Windows.Forms.Label();
			this.labHeight = new System.Windows.Forms.Label();
			this.labWidth = new System.Windows.Forms.Label();
			this.labFormatStr = new System.Windows.Forms.Label();
			this.chkOutlineMode = new System.Windows.Forms.CheckBox();
			this.chkFixed = new System.Windows.Forms.CheckBox();
			this.grpCmd = new System.Windows.Forms.GroupBox();
			this.numCount = new System.Windows.Forms.NumericUpDown();
			this.btnAddChild = new System.Windows.Forms.Button();
			this.labCount = new System.Windows.Forms.Label();
			this.btnDel = new System.Windows.Forms.Button();
			this.btnAdd = new System.Windows.Forms.Button();
			this.grpSel = new System.Windows.Forms.GroupBox();
			this.cboSelTyp = new System.Windows.Forms.ComboBox();
			this.cboSelMode = new System.Windows.Forms.ComboBox();
			this.labSelMode = new System.Windows.Forms.Label();
			this.labSelTyp = new System.Windows.Forms.Label();
			this.pnlGrid = new System.Windows.Forms.Panel();
			this.grid = new ppsGrid.Grid();
			this.pnlHover = new System.Windows.Forms.Panel();
			this.labHover = new System.Windows.Forms.Label();
			this.pnpProps.SuspendLayout();
			this.grpFocusCell.SuspendLayout();
			this.grpColor.SuspendLayout();
			this.grpError.SuspendLayout();
			this.grpProp.SuspendLayout();
			((System.ComponentModel.ISupportInitialize)(this.numWidth)).BeginInit();
			((System.ComponentModel.ISupportInitialize)(this.numHeight)).BeginInit();
			this.grpCmd.SuspendLayout();
			((System.ComponentModel.ISupportInitialize)(this.numCount)).BeginInit();
			this.grpSel.SuspendLayout();
			this.pnlGrid.SuspendLayout();
			this.SuspendLayout();
			// 
			// pnpProps
			// 
			this.pnpProps.BackColor = System.Drawing.SystemColors.Control;
			this.pnpProps.BorderStyle = System.Windows.Forms.BorderStyle.FixedSingle;
			this.pnpProps.Controls.AddRange(new System.Windows.Forms.Control[] {
																																					 this.grpFocusCell,
																																					 this.grpColor,
																																					 this.grpError,
																																					 this.grpProp,
																																					 this.grpCmd,
																																					 this.grpSel});
			this.pnpProps.Dock = System.Windows.Forms.DockStyle.Bottom;
			this.pnpProps.Location = new System.Drawing.Point(8, 165);
			this.pnpProps.Name = "pnpProps";
			this.pnpProps.Size = new System.Drawing.Size(704, 360);
			this.pnpProps.TabIndex = 11;
			// 
			// grpFocusCell
			// 
			this.grpFocusCell.Controls.AddRange(new System.Windows.Forms.Control[] {
																																							 this.chkFocusCell,
																																							 this.txtFocusCellY,
																																							 this.txtFocusCellX,
																																							 this.labFocusCellY,
																																							 this.labFocusCellX});
			this.grpFocusCell.Location = new System.Drawing.Point(272, 240);
			this.grpFocusCell.Name = "grpFocusCell";
			this.grpFocusCell.Size = new System.Drawing.Size(176, 112);
			this.grpFocusCell.TabIndex = 16;
			this.grpFocusCell.TabStop = false;
			this.grpFocusCell.Text = "FocusCell";
			// 
			// chkFocusCell
			// 
			this.chkFocusCell.AutoCheck = false;
			this.chkFocusCell.CheckAlign = System.Drawing.ContentAlignment.MiddleRight;
			this.chkFocusCell.Enabled = false;
			this.chkFocusCell.Location = new System.Drawing.Point(16, 80);
			this.chkFocusCell.Name = "chkFocusCell";
			this.chkFocusCell.TabIndex = 4;
			this.chkFocusCell.Text = "Gltig";
			// 
			// txtFocusCellY
			// 
			this.txtFocusCellY.Location = new System.Drawing.Point(104, 48);
			this.txtFocusCellY.Name = "txtFocusCellY";
			this.txtFocusCellY.ReadOnly = true;
			this.txtFocusCellY.Size = new System.Drawing.Size(56, 22);
			this.txtFocusCellY.TabIndex = 3;
			this.txtFocusCellY.Text = "";
			// 
			// txtFocusCellX
			// 
			this.txtFocusCellX.Location = new System.Drawing.Point(104, 24);
			this.txtFocusCellX.Name = "txtFocusCellX";
			this.txtFocusCellX.ReadOnly = true;
			this.txtFocusCellX.Size = new System.Drawing.Size(56, 22);
			this.txtFocusCellX.TabIndex = 2;
			this.txtFocusCellX.Text = "";
			// 
			// labFocusCellY
			// 
			this.labFocusCellY.Location = new System.Drawing.Point(16, 56);
			this.labFocusCellY.Name = "labFocusCellY";
			this.labFocusCellY.Size = new System.Drawing.Size(72, 16);
			this.labFocusCellY.TabIndex = 1;
			this.labFocusCellY.Text = "FocusCell.Y";
			// 
			// labFocusCellX
			// 
			this.labFocusCellX.Location = new System.Drawing.Point(16, 32);
			this.labFocusCellX.Name = "labFocusCellX";
			this.labFocusCellX.Size = new System.Drawing.Size(72, 16);
			this.labFocusCellX.TabIndex = 0;
			this.labFocusCellX.Text = "FocusCell.X";
			// 
			// grpColor
			// 
			this.grpColor.Controls.AddRange(new System.Windows.Forms.Control[] {
																																					 this.pnlHover,
																																					 this.labHover,
																																					 this.pnlColAlternate,
																																					 this.labColAlternate,
																																					 this.pnlOutline,
																																					 this.labOutline,
																																					 this.pnlCellframe,
																																					 this.labCellframe,
																																					 this.pnlApp,
																																					 this.labApp,
																																					 this.optBackColor,
																																					 this.optForeColor,
																																					 this.pnlRowAlternate,
																																					 this.labRowAlternate,
																																					 this.pnlGradient,
																																					 this.labGradient,
																																					 this.pnlHighlight,
																																					 this.labHighlight,
																																					 this.pnlFocus,
																																					 this.labFocus,
																																					 this.pnlColor,
																																					 this.labColor});
			this.grpColor.Location = new System.Drawing.Point(184, 8);
			this.grpColor.Name = "grpColor";
			this.grpColor.Size = new System.Drawing.Size(264, 224);
			this.grpColor.TabIndex = 15;
			this.grpColor.TabStop = false;
			this.grpColor.Text = "Colors";
			// 
			// pnlColAlternate
			// 
			this.pnlColAlternate.BackColor = System.Drawing.Color.FromArgb(((System.Byte)(0)), ((System.Byte)(0)), ((System.Byte)(192)));
			this.pnlColAlternate.BorderStyle = System.Windows.Forms.BorderStyle.FixedSingle;
			this.pnlColAlternate.Location = new System.Drawing.Point(88, 120);
			this.pnlColAlternate.Name = "pnlColAlternate";
			this.pnlColAlternate.Size = new System.Drawing.Size(40, 16);
			this.pnlColAlternate.TabIndex = 47;
			this.pnlColAlternate.Click += new System.EventHandler(this.pnlColAlternate_Click);
			// 
			// labColAlternate
			// 
			this.labColAlternate.Location = new System.Drawing.Point(8, 120);
			this.labColAlternate.Name = "labColAlternate";
			this.labColAlternate.Size = new System.Drawing.Size(88, 16);
			this.labColAlternate.TabIndex = 46;
			this.labColAlternate.Text = "ColAlternate";
			// 
			// pnlOutline
			// 
			this.pnlOutline.BackColor = System.Drawing.Color.FromArgb(((System.Byte)(0)), ((System.Byte)(0)), ((System.Byte)(192)));
			this.pnlOutline.BorderStyle = System.Windows.Forms.BorderStyle.FixedSingle;
			this.pnlOutline.Location = new System.Drawing.Point(216, 120);
			this.pnlOutline.Name = "pnlOutline";
			this.pnlOutline.Size = new System.Drawing.Size(40, 16);
			this.pnlOutline.TabIndex = 45;
			this.pnlOutline.Click += new System.EventHandler(this.pnlOutline_Click);
			// 
			// labOutline
			// 
			this.labOutline.Location = new System.Drawing.Point(160, 120);
			this.labOutline.Name = "labOutline";
			this.labOutline.Size = new System.Drawing.Size(56, 16);
			this.labOutline.TabIndex = 44;
			this.labOutline.Text = "Outline";
			// 
			// pnlCellframe
			// 
			this.pnlCellframe.BackColor = System.Drawing.Color.FromArgb(((System.Byte)(0)), ((System.Byte)(0)), ((System.Byte)(192)));
			this.pnlCellframe.BorderStyle = System.Windows.Forms.BorderStyle.FixedSingle;
			this.pnlCellframe.Location = new System.Drawing.Point(216, 96);
			this.pnlCellframe.Name = "pnlCellframe";
			this.pnlCellframe.Size = new System.Drawing.Size(40, 16);
			this.pnlCellframe.TabIndex = 43;
			this.pnlCellframe.Click += new System.EventHandler(this.pnlCellframe_Click);
			// 
			// labCellframe
			// 
			this.labCellframe.Location = new System.Drawing.Point(160, 96);
			this.labCellframe.Name = "labCellframe";
			this.labCellframe.Size = new System.Drawing.Size(64, 16);
			this.labCellframe.TabIndex = 42;
			this.labCellframe.Text = "Cellframe";
			// 
			// pnlApp
			// 
			this.pnlApp.BackColor = System.Drawing.Color.FromArgb(((System.Byte)(0)), ((System.Byte)(0)), ((System.Byte)(192)));
			this.pnlApp.BorderStyle = System.Windows.Forms.BorderStyle.FixedSingle;
			this.pnlApp.Location = new System.Drawing.Point(216, 72);
			this.pnlApp.Name = "pnlApp";
			this.pnlApp.Size = new System.Drawing.Size(40, 16);
			this.pnlApp.TabIndex = 41;
			this.pnlApp.Click += new System.EventHandler(this.pnlApp_Click);
			// 
			// labApp
			// 
			this.labApp.Location = new System.Drawing.Point(160, 72);
			this.labApp.Name = "labApp";
			this.labApp.Size = new System.Drawing.Size(40, 16);
			this.labApp.TabIndex = 40;
			this.labApp.Text = "App";
			// 
			// optBackColor
			// 
			this.optBackColor.Font = new System.Drawing.Font("Tahoma", 9F, System.Drawing.FontStyle.Regular, System.Drawing.GraphicsUnit.Point, ((System.Byte)(0)));
			this.optBackColor.Location = new System.Drawing.Point(16, 24);
			this.optBackColor.Name = "optBackColor";
			this.optBackColor.Size = new System.Drawing.Size(80, 16);
			this.optBackColor.TabIndex = 39;
			this.optBackColor.Text = "BackColor";
			this.optBackColor.CheckedChanged += new System.EventHandler(this.optBackColor_CheckedChanged);
			// 
			// optForeColor
			// 
			this.optForeColor.Font = new System.Drawing.Font("Tahoma", 9F, System.Drawing.FontStyle.Regular, System.Drawing.GraphicsUnit.Point, ((System.Byte)(0)));
			this.optForeColor.Location = new System.Drawing.Point(16, 40);
			this.optForeColor.Name = "optForeColor";
			this.optForeColor.Size = new System.Drawing.Size(80, 16);
			this.optForeColor.TabIndex = 38;
			this.optForeColor.Text = "ForeColor";
			this.optForeColor.CheckedChanged += new System.EventHandler(this.optForeColor_CheckedChanged);
			// 
			// pnlRowAlternate
			// 
			this.pnlRowAlternate.BackColor = System.Drawing.Color.FromArgb(((System.Byte)(0)), ((System.Byte)(0)), ((System.Byte)(192)));
			this.pnlRowAlternate.BorderStyle = System.Windows.Forms.BorderStyle.FixedSingle;
			this.pnlRowAlternate.Location = new System.Drawing.Point(88, 96);
			this.pnlRowAlternate.Name = "pnlRowAlternate";
			this.pnlRowAlternate.Size = new System.Drawing.Size(40, 16);
			this.pnlRowAlternate.TabIndex = 37;
			this.pnlRowAlternate.Click += new System.EventHandler(this.pnlRowAlternate_Click);
			// 
			// labRowAlternate
			// 
			this.labRowAlternate.Location = new System.Drawing.Point(8, 96);
			this.labRowAlternate.Name = "labRowAlternate";
			this.labRowAlternate.Size = new System.Drawing.Size(88, 16);
			this.labRowAlternate.TabIndex = 36;
			this.labRowAlternate.Text = "RowAlternate";
			// 
			// pnlGradient
			// 
			this.pnlGradient.BackColor = System.Drawing.Color.FromArgb(((System.Byte)(0)), ((System.Byte)(0)), ((System.Byte)(192)));
			this.pnlGradient.BorderStyle = System.Windows.Forms.BorderStyle.FixedSingle;
			this.pnlGradient.Location = new System.Drawing.Point(216, 144);
			this.pnlGradient.Name = "pnlGradient";
			this.pnlGradient.Size = new System.Drawing.Size(40, 16);
			this.pnlGradient.TabIndex = 35;
			this.pnlGradient.Click += new System.EventHandler(this.pnlGradient_Click);
			// 
			// labGradient
			// 
			this.labGradient.Location = new System.Drawing.Point(160, 144);
			this.labGradient.Name = "labGradient";
			this.labGradient.Size = new System.Drawing.Size(56, 16);
			this.labGradient.TabIndex = 34;
			this.labGradient.Text = "Gradient";
			// 
			// pnlHighlight
			// 
			this.pnlHighlight.BackColor = System.Drawing.Color.FromArgb(((System.Byte)(0)), ((System.Byte)(0)), ((System.Byte)(192)));
			this.pnlHighlight.BorderStyle = System.Windows.Forms.BorderStyle.FixedSingle;
			this.pnlHighlight.Location = new System.Drawing.Point(88, 144);
			this.pnlHighlight.Name = "pnlHighlight";
			this.pnlHighlight.Size = new System.Drawing.Size(40, 16);
			this.pnlHighlight.TabIndex = 31;
			this.pnlHighlight.Click += new System.EventHandler(this.pnlHighlight_Click);
			// 
			// labHighlight
			// 
			this.labHighlight.Location = new System.Drawing.Point(8, 144);
			this.labHighlight.Name = "labHighlight";
			this.labHighlight.Size = new System.Drawing.Size(56, 16);
			this.labHighlight.TabIndex = 30;
			this.labHighlight.Text = "Highlight";
			// 
			// pnlFocus
			// 
			this.pnlFocus.BackColor = System.Drawing.Color.FromArgb(((System.Byte)(0)), ((System.Byte)(0)), ((System.Byte)(192)));
			this.pnlFocus.BorderStyle = System.Windows.Forms.BorderStyle.FixedSingle;
			this.pnlFocus.Location = new System.Drawing.Point(88, 168);
			this.pnlFocus.Name = "pnlFocus";
			this.pnlFocus.Size = new System.Drawing.Size(40, 16);
			this.pnlFocus.TabIndex = 29;
			this.pnlFocus.Click += new System.EventHandler(this.pnlFocus_Click);
			// 
			// labFocus
			// 
			this.labFocus.Location = new System.Drawing.Point(8, 168);
			this.labFocus.Name = "labFocus";
			this.labFocus.Size = new System.Drawing.Size(40, 16);
			this.labFocus.TabIndex = 28;
			this.labFocus.Text = "Focus";
			// 
			// pnlColor
			// 
			this.pnlColor.BackColor = System.Drawing.Color.FromArgb(((System.Byte)(0)), ((System.Byte)(0)), ((System.Byte)(192)));
			this.pnlColor.BorderStyle = System.Windows.Forms.BorderStyle.FixedSingle;
			this.pnlColor.Location = new System.Drawing.Point(88, 72);
			this.pnlColor.Name = "pnlColor";
			this.pnlColor.Size = new System.Drawing.Size(40, 16);
			this.pnlColor.TabIndex = 23;
			this.pnlColor.Click += new System.EventHandler(this.pnlColor_Click);
			// 
			// labColor
			// 
			this.labColor.Location = new System.Drawing.Point(8, 72);
			this.labColor.Name = "labColor";
			this.labColor.Size = new System.Drawing.Size(40, 16);
			this.labColor.TabIndex = 22;
			this.labColor.Text = "Color";
			// 
			// grpError
			// 
			this.grpError.Controls.AddRange(new System.Windows.Forms.Control[] {
																																					 this.labError});
			this.grpError.Location = new System.Drawing.Point(8, 240);
			this.grpError.Name = "grpError";
			this.grpError.Size = new System.Drawing.Size(256, 112);
			this.grpError.TabIndex = 14;
			this.grpError.TabStop = false;
			this.grpError.Text = "Fehler";
			// 
			// labError
			// 
			this.labError.Location = new System.Drawing.Point(8, 16);
			this.labError.Name = "labError";
			this.labError.Size = new System.Drawing.Size(240, 88);
			this.labError.TabIndex = 0;
			// 
			// grpProp
			// 
			this.grpProp.Controls.AddRange(new System.Windows.Forms.Control[] {
																																					this.cboFixedRowType,
																																					this.label1,
																																					this.numWidth,
																																					this.numHeight,
																																					this.cboFrameTyp,
																																					this.labFrameTyp,
																																					this.cboFixedColType,
																																					this.labColRowType,
																																					this.cboStrAlignVert,
																																					this.labStrAlignVert,
																																					this.cboStrAlignHorz,
																																					this.labStrAlignHorz,
																																					this.cboOutlineDashStyle,
																																					this.labOutlineDashStyle,
																																					this.cboFrameDashStyle,
																																					this.cboGradientMode,
																																					this.labGradientmode,
																																					this.labFrameDashStyle,
																																					this.txtValue,
																																					this.txtFormatStr,
																																					this.labValue,
																																					this.labHeight,
																																					this.labWidth,
																																					this.labFormatStr,
																																					this.chkOutlineMode,
																																					this.chkFixed});
			this.grpProp.Location = new System.Drawing.Point(456, 8);
			this.grpProp.Name = "grpProp";
			this.grpProp.Size = new System.Drawing.Size(240, 344);
			this.grpProp.TabIndex = 13;
			this.grpProp.TabStop = false;
			this.grpProp.Text = "Properties";
			// 
			// cboFixedRowType
			// 
			this.cboFixedRowType.DropDownStyle = System.Windows.Forms.ComboBoxStyle.DropDownList;
			this.cboFixedRowType.Font = new System.Drawing.Font("Tahoma", 9F, System.Drawing.FontStyle.Regular, System.Drawing.GraphicsUnit.Point, ((System.Byte)(0)));
			this.cboFixedRowType.ItemHeight = 14;
			this.cboFixedRowType.Location = new System.Drawing.Point(136, 96);
			this.cboFixedRowType.Name = "cboFixedRowType";
			this.cboFixedRowType.Size = new System.Drawing.Size(88, 22);
			this.cboFixedRowType.TabIndex = 44;
			this.cboFixedRowType.SelectedIndexChanged += new System.EventHandler(this.cboFixedRowType_SelectedIndexChanged);
			// 
			// label1
			// 
			this.label1.Font = new System.Drawing.Font("Tahoma", 9F, System.Drawing.FontStyle.Regular, System.Drawing.GraphicsUnit.Point, ((System.Byte)(0)));
			this.label1.Location = new System.Drawing.Point(16, 104);
			this.label1.Name = "label1";
			this.label1.Size = new System.Drawing.Size(112, 16);
			this.label1.TabIndex = 43;
			this.label1.Text = "FixedRowTyp";
			// 
			// numWidth
			// 
			this.numWidth.Location = new System.Drawing.Point(136, 312);
			this.numWidth.Maximum = new System.Decimal(new int[] {
																														 99999,
																														 0,
																														 0,
																														 0});
			this.numWidth.Minimum = new System.Decimal(new int[] {
																														 1,
																														 0,
																														 0,
																														 0});
			this.numWidth.Name = "numWidth";
			this.numWidth.Size = new System.Drawing.Size(64, 22);
			this.numWidth.TabIndex = 42;
			this.numWidth.TextAlign = System.Windows.Forms.HorizontalAlignment.Right;
			this.numWidth.ThousandsSeparator = true;
			this.numWidth.Value = new System.Decimal(new int[] {
																													 1,
																													 0,
																													 0,
																													 0});
			this.numWidth.ValueChanged += new System.EventHandler(this.numWidth_ValueChanged);
			// 
			// numHeight
			// 
			this.numHeight.Location = new System.Drawing.Point(136, 288);
			this.numHeight.Maximum = new System.Decimal(new int[] {
																															99999,
																															0,
																															0,
																															0});
			this.numHeight.Minimum = new System.Decimal(new int[] {
																															1,
																															0,
																															0,
																															0});
			this.numHeight.Name = "numHeight";
			this.numHeight.Size = new System.Drawing.Size(64, 22);
			this.numHeight.TabIndex = 41;
			this.numHeight.TextAlign = System.Windows.Forms.HorizontalAlignment.Right;
			this.numHeight.ThousandsSeparator = true;
			this.numHeight.Value = new System.Decimal(new int[] {
																														1,
																														0,
																														0,
																														0});
			this.numHeight.ValueChanged += new System.EventHandler(this.numHeight_ValueChanged);
			// 
			// cboFrameTyp
			// 
			this.cboFrameTyp.DropDownStyle = System.Windows.Forms.ComboBoxStyle.DropDownList;
			this.cboFrameTyp.Location = new System.Drawing.Point(136, 48);
			this.cboFrameTyp.Name = "cboFrameTyp";
			this.cboFrameTyp.Size = new System.Drawing.Size(88, 22);
			this.cboFrameTyp.TabIndex = 40;
			this.cboFrameTyp.SelectedIndexChanged += new System.EventHandler(this.cboFrameTyp_SelectedIndexChanged);
			// 
			// labFrameTyp
			// 
			this.labFrameTyp.Location = new System.Drawing.Point(16, 56);
			this.labFrameTyp.Name = "labFrameTyp";
			this.labFrameTyp.Size = new System.Drawing.Size(112, 16);
			this.labFrameTyp.TabIndex = 39;
			this.labFrameTyp.Text = "FrameTyp";
			// 
			// cboFixedColType
			// 
			this.cboFixedColType.DropDownStyle = System.Windows.Forms.ComboBoxStyle.DropDownList;
			this.cboFixedColType.Font = new System.Drawing.Font("Tahoma", 9F, System.Drawing.FontStyle.Regular, System.Drawing.GraphicsUnit.Point, ((System.Byte)(0)));
			this.cboFixedColType.ItemHeight = 14;
			this.cboFixedColType.Location = new System.Drawing.Point(136, 72);
			this.cboFixedColType.Name = "cboFixedColType";
			this.cboFixedColType.Size = new System.Drawing.Size(88, 22);
			this.cboFixedColType.TabIndex = 38;
			this.cboFixedColType.SelectedIndexChanged += new System.EventHandler(this.cboFixedColType_SelectedIndexChanged);
			// 
			// labColRowType
			// 
			this.labColRowType.Font = new System.Drawing.Font("Tahoma", 9F, System.Drawing.FontStyle.Regular, System.Drawing.GraphicsUnit.Point, ((System.Byte)(0)));
			this.labColRowType.Location = new System.Drawing.Point(16, 80);
			this.labColRowType.Name = "labColRowType";
			this.labColRowType.Size = new System.Drawing.Size(112, 16);
			this.labColRowType.TabIndex = 37;
			this.labColRowType.Text = "FixedColTyp";
			// 
			// cboStrAlignVert
			// 
			this.cboStrAlignVert.DropDownStyle = System.Windows.Forms.ComboBoxStyle.DropDownList;
			this.cboStrAlignVert.Location = new System.Drawing.Point(136, 216);
			this.cboStrAlignVert.Name = "cboStrAlignVert";
			this.cboStrAlignVert.Size = new System.Drawing.Size(88, 22);
			this.cboStrAlignVert.TabIndex = 36;
			this.cboStrAlignVert.SelectedIndexChanged += new System.EventHandler(this.cboStrAlignVert_SelectedIndexChanged);
			// 
			// labStrAlignVert
			// 
			this.labStrAlignVert.Location = new System.Drawing.Point(16, 224);
			this.labStrAlignVert.Name = "labStrAlignVert";
			this.labStrAlignVert.Size = new System.Drawing.Size(112, 16);
			this.labStrAlignVert.TabIndex = 35;
			this.labStrAlignVert.Text = "StringAlignVert.";
			// 
			// cboStrAlignHorz
			// 
			this.cboStrAlignHorz.DropDownStyle = System.Windows.Forms.ComboBoxStyle.DropDownList;
			this.cboStrAlignHorz.Location = new System.Drawing.Point(136, 192);
			this.cboStrAlignHorz.Name = "cboStrAlignHorz";
			this.cboStrAlignHorz.Size = new System.Drawing.Size(88, 22);
			this.cboStrAlignHorz.TabIndex = 34;
			this.cboStrAlignHorz.SelectedIndexChanged += new System.EventHandler(this.cboStrAlignHorz_SelectedIndexChanged);
			// 
			// labStrAlignHorz
			// 
			this.labStrAlignHorz.Location = new System.Drawing.Point(16, 200);
			this.labStrAlignHorz.Name = "labStrAlignHorz";
			this.labStrAlignHorz.Size = new System.Drawing.Size(112, 16);
			this.labStrAlignHorz.TabIndex = 33;
			this.labStrAlignHorz.Text = "StringAlignHorz.";
			// 
			// cboOutlineDashStyle
			// 
			this.cboOutlineDashStyle.DropDownStyle = System.Windows.Forms.ComboBoxStyle.DropDownList;
			this.cboOutlineDashStyle.Location = new System.Drawing.Point(136, 168);
			this.cboOutlineDashStyle.Name = "cboOutlineDashStyle";
			this.cboOutlineDashStyle.Size = new System.Drawing.Size(88, 22);
			this.cboOutlineDashStyle.TabIndex = 32;
			this.cboOutlineDashStyle.SelectedIndexChanged += new System.EventHandler(this.cboOutlineDashStyle_SelectedIndexChanged);
			// 
			// labOutlineDashStyle
			// 
			this.labOutlineDashStyle.Location = new System.Drawing.Point(16, 176);
			this.labOutlineDashStyle.Name = "labOutlineDashStyle";
			this.labOutlineDashStyle.Size = new System.Drawing.Size(112, 16);
			this.labOutlineDashStyle.TabIndex = 31;
			this.labOutlineDashStyle.Text = "OutlineDashstyle";
			// 
			// cboFrameDashStyle
			// 
			this.cboFrameDashStyle.DropDownStyle = System.Windows.Forms.ComboBoxStyle.DropDownList;
			this.cboFrameDashStyle.Location = new System.Drawing.Point(136, 120);
			this.cboFrameDashStyle.Name = "cboFrameDashStyle";
			this.cboFrameDashStyle.Size = new System.Drawing.Size(88, 22);
			this.cboFrameDashStyle.TabIndex = 28;
			this.cboFrameDashStyle.SelectedIndexChanged += new System.EventHandler(this.cboFrameDashStyle_SelectedIndexChanged);
			// 
			// cboGradientMode
			// 
			this.cboGradientMode.DropDownStyle = System.Windows.Forms.ComboBoxStyle.DropDownList;
			this.cboGradientMode.Location = new System.Drawing.Point(136, 144);
			this.cboGradientMode.Name = "cboGradientMode";
			this.cboGradientMode.Size = new System.Drawing.Size(88, 22);
			this.cboGradientMode.TabIndex = 27;
			this.cboGradientMode.SelectedIndexChanged += new System.EventHandler(this.cboGradientMode_SelectedIndexChanged);
			// 
			// labGradientmode
			// 
			this.labGradientmode.Location = new System.Drawing.Point(16, 152);
			this.labGradientmode.Name = "labGradientmode";
			this.labGradientmode.Size = new System.Drawing.Size(80, 16);
			this.labGradientmode.TabIndex = 25;
			this.labGradientmode.Text = "GradientMode";
			// 
			// labFrameDashStyle
			// 
			this.labFrameDashStyle.Location = new System.Drawing.Point(16, 128);
			this.labFrameDashStyle.Name = "labFrameDashStyle";
			this.labFrameDashStyle.Size = new System.Drawing.Size(112, 16);
			this.labFrameDashStyle.TabIndex = 26;
			this.labFrameDashStyle.Text = "FrameDashstyle";
			// 
			// txtValue
			// 
			this.txtValue.Location = new System.Drawing.Point(136, 264);
			this.txtValue.Name = "txtValue";
			this.txtValue.Size = new System.Drawing.Size(88, 22);
			this.txtValue.TabIndex = 9;
			this.txtValue.Text = "";
			this.txtValue.Validated += new System.EventHandler(this.txtValue_Validated);
			// 
			// txtFormatStr
			// 
			this.txtFormatStr.Location = new System.Drawing.Point(136, 240);
			this.txtFormatStr.Name = "txtFormatStr";
			this.txtFormatStr.Size = new System.Drawing.Size(88, 22);
			this.txtFormatStr.TabIndex = 8;
			this.txtFormatStr.Text = "";
			this.txtFormatStr.Validated += new System.EventHandler(this.txtFormatStr_Validated);
			// 
			// labValue
			// 
			this.labValue.Location = new System.Drawing.Point(16, 272);
			this.labValue.Name = "labValue";
			this.labValue.Size = new System.Drawing.Size(80, 16);
			this.labValue.TabIndex = 7;
			this.labValue.Text = "Value";
			// 
			// labHeight
			// 
			this.labHeight.Location = new System.Drawing.Point(16, 296);
			this.labHeight.Name = "labHeight";
			this.labHeight.Size = new System.Drawing.Size(80, 16);
			this.labHeight.TabIndex = 6;
			this.labHeight.Text = "Height";
			// 
			// labWidth
			// 
			this.labWidth.Location = new System.Drawing.Point(16, 320);
			this.labWidth.Name = "labWidth";
			this.labWidth.Size = new System.Drawing.Size(80, 16);
			this.labWidth.TabIndex = 5;
			this.labWidth.Text = "Width";
			// 
			// labFormatStr
			// 
			this.labFormatStr.Location = new System.Drawing.Point(16, 248);
			this.labFormatStr.Name = "labFormatStr";
			this.labFormatStr.Size = new System.Drawing.Size(80, 16);
			this.labFormatStr.TabIndex = 4;
			this.labFormatStr.Text = "FormatString";
			// 
			// chkOutlineMode
			// 
			this.chkOutlineMode.Location = new System.Drawing.Point(72, 24);
			this.chkOutlineMode.Name = "chkOutlineMode";
			this.chkOutlineMode.Size = new System.Drawing.Size(96, 16);
			this.chkOutlineMode.TabIndex = 2;
			this.chkOutlineMode.Text = "OutlineMode";
			this.chkOutlineMode.CheckStateChanged += new System.EventHandler(this.chkOutlineMode_CheckStateChanged);
			// 
			// chkFixed
			// 
			this.chkFixed.Location = new System.Drawing.Point(8, 24);
			this.chkFixed.Name = "chkFixed";
			this.chkFixed.Size = new System.Drawing.Size(56, 16);
			this.chkFixed.TabIndex = 0;
			this.chkFixed.Text = "Fixed";
			this.chkFixed.ThreeState = true;
			this.chkFixed.CheckStateChanged += new System.EventHandler(this.chkFixed_CheckStateChanged);
			// 
			// grpCmd
			// 
			this.grpCmd.Controls.AddRange(new System.Windows.Forms.Control[] {
																																				 this.numCount,
																																				 this.btnAddChild,
																																				 this.labCount,
																																				 this.btnDel,
																																				 this.btnAdd});
			this.grpCmd.Location = new System.Drawing.Point(8, 104);
			this.grpCmd.Name = "grpCmd";
			this.grpCmd.Size = new System.Drawing.Size(160, 128);
			this.grpCmd.TabIndex = 12;
			this.grpCmd.TabStop = false;
			this.grpCmd.Text = "Command";
			// 
			// numCount
			// 
			this.numCount.Location = new System.Drawing.Point(64, 56);
			this.numCount.Maximum = new System.Decimal(new int[] {
																														 99999,
																														 0,
																														 0,
																														 0});
			this.numCount.Minimum = new System.Decimal(new int[] {
																														 1,
																														 0,
																														 0,
																														 0});
			this.numCount.Name = "numCount";
			this.numCount.Size = new System.Drawing.Size(64, 22);
			this.numCount.TabIndex = 12;
			this.numCount.TextAlign = System.Windows.Forms.HorizontalAlignment.Right;
			this.numCount.ThousandsSeparator = true;
			this.numCount.Value = new System.Decimal(new int[] {
																													 1,
																													 0,
																													 0,
																													 0});
			// 
			// btnAddChild
			// 
			this.btnAddChild.Location = new System.Drawing.Point(72, 24);
			this.btnAddChild.Name = "btnAddChild";
			this.btnAddChild.Size = new System.Drawing.Size(80, 24);
			this.btnAddChild.TabIndex = 11;
			this.btnAddChild.Text = "AddChild";
			this.btnAddChild.Click += new System.EventHandler(this.btnAddChild_Click);
			// 
			// labCount
			// 
			this.labCount.Location = new System.Drawing.Point(16, 64);
			this.labCount.Name = "labCount";
			this.labCount.Size = new System.Drawing.Size(40, 16);
			this.labCount.TabIndex = 10;
			this.labCount.Text = "Count";
			// 
			// btnDel
			// 
			this.btnDel.Location = new System.Drawing.Point(16, 96);
			this.btnDel.Name = "btnDel";
			this.btnDel.Size = new System.Drawing.Size(136, 24);
			this.btnDel.TabIndex = 8;
			this.btnDel.Text = "Delete Selection";
			this.btnDel.Click += new System.EventHandler(this.btnDel_Click);
			// 
			// btnAdd
			// 
			this.btnAdd.Location = new System.Drawing.Point(16, 24);
			this.btnAdd.Name = "btnAdd";
			this.btnAdd.Size = new System.Drawing.Size(48, 24);
			this.btnAdd.TabIndex = 7;
			this.btnAdd.Text = "Add";
			this.btnAdd.Click += new System.EventHandler(this.btnAdd_Click);
			// 
			// grpSel
			// 
			this.grpSel.Controls.AddRange(new System.Windows.Forms.Control[] {
																																				 this.cboSelTyp,
																																				 this.cboSelMode,
																																				 this.labSelMode,
																																				 this.labSelTyp});
			this.grpSel.Location = new System.Drawing.Point(8, 8);
			this.grpSel.Name = "grpSel";
			this.grpSel.Size = new System.Drawing.Size(160, 88);
			this.grpSel.TabIndex = 11;
			this.grpSel.TabStop = false;
			this.grpSel.Text = "Selection";
			// 
			// cboSelTyp
			// 
			this.cboSelTyp.DropDownStyle = System.Windows.Forms.ComboBoxStyle.DropDownList;
			this.cboSelTyp.Location = new System.Drawing.Point(64, 56);
			this.cboSelTyp.Name = "cboSelTyp";
			this.cboSelTyp.Size = new System.Drawing.Size(88, 22);
			this.cboSelTyp.TabIndex = 2;
			this.cboSelTyp.SelectedIndexChanged += new System.EventHandler(this.cboSelTyp_SelectedIndexChanged);
			// 
			// cboSelMode
			// 
			this.cboSelMode.DropDownStyle = System.Windows.Forms.ComboBoxStyle.DropDownList;
			this.cboSelMode.Location = new System.Drawing.Point(64, 32);
			this.cboSelMode.Name = "cboSelMode";
			this.cboSelMode.Size = new System.Drawing.Size(88, 22);
			this.cboSelMode.TabIndex = 1;
			this.cboSelMode.SelectedIndexChanged += new System.EventHandler(this.cboSelMode_SelectedIndexChanged);
			// 
			// labSelMode
			// 
			this.labSelMode.Location = new System.Drawing.Point(16, 32);
			this.labSelMode.Name = "labSelMode";
			this.labSelMode.Size = new System.Drawing.Size(40, 16);
			this.labSelMode.TabIndex = 0;
			this.labSelMode.Text = "Mode";
			// 
			// labSelTyp
			// 
			this.labSelTyp.Location = new System.Drawing.Point(16, 56);
			this.labSelTyp.Name = "labSelTyp";
			this.labSelTyp.Size = new System.Drawing.Size(40, 16);
			this.labSelTyp.TabIndex = 0;
			this.labSelTyp.Text = "Typ";
			// 
			// pnlGrid
			// 
			this.pnlGrid.Controls.AddRange(new System.Windows.Forms.Control[] {
																																					this.grid});
			this.pnlGrid.Dock = System.Windows.Forms.DockStyle.Fill;
			this.pnlGrid.DockPadding.Bottom = 8;
			this.pnlGrid.Location = new System.Drawing.Point(8, 8);
			this.pnlGrid.Name = "pnlGrid";
			this.pnlGrid.Size = new System.Drawing.Size(704, 157);
			this.pnlGrid.TabIndex = 15;
			// 
			// grid
			// 
			this.grid.BackColorFixedGradient = System.Drawing.Color.FromArgb(((System.Byte)(0)), ((System.Byte)(0)), ((System.Byte)(64)));
			this.grid.Dock = System.Windows.Forms.DockStyle.Fill;
			this.grid.HideSelection = ppsGrid.eHighlight.None;
			this.grid.Name = "grid";
			this.grid.Scrollbar = ppsGrid.eScrollbar.Both;
			this.grid.ScrollbarVisible = ppsGrid.eScrollbarVisible.Required;
			this.grid.Size = new System.Drawing.Size(704, 149);
			this.grid.TabIndex = 14;
			this.grid.SelectionEnd += new ppsGrid.OnSelectionEnd(this.grid_SelectionEnd);
			this.grid.FocusCellChanged += new ppsGrid.OnFocusCellChanged(this.grid_FocusCellChanged);
			// 
			// pnlHover
			// 
			this.pnlHover.BackColor = System.Drawing.Color.FromArgb(((System.Byte)(0)), ((System.Byte)(0)), ((System.Byte)(192)));
			this.pnlHover.BorderStyle = System.Windows.Forms.BorderStyle.FixedSingle;
			this.pnlHover.Location = new System.Drawing.Point(88, 192);
			this.pnlHover.Name = "pnlHover";
			this.pnlHover.Size = new System.Drawing.Size(40, 16);
			this.pnlHover.TabIndex = 49;
			this.pnlHover.Click += new System.EventHandler(this.pnlHover_Click);
			// 
			// labHover
			// 
			this.labHover.Location = new System.Drawing.Point(8, 192);
			this.labHover.Name = "labHover";
			this.labHover.Size = new System.Drawing.Size(40, 16);
			this.labHover.TabIndex = 48;
			this.labHover.Text = "Hover";
			// 
			// frmSelection
			// 
			this.AutoScaleBaseSize = new System.Drawing.Size(6, 15);
			this.ClientSize = new System.Drawing.Size(720, 533);
			this.Controls.AddRange(new System.Windows.Forms.Control[] {
																																	this.pnlGrid,
																																	this.pnpProps});
			this.DockPadding.All = 8;
			this.Font = new System.Drawing.Font("Tahoma", 9F, System.Drawing.FontStyle.Regular, System.Drawing.GraphicsUnit.Point, ((System.Byte)(0)));
			this.Name = "frmSelection";
			this.Text = "frmSelection-Demo";
			this.pnpProps.ResumeLayout(false);
			this.grpFocusCell.ResumeLayout(false);
			this.grpColor.ResumeLayout(false);
			this.grpError.ResumeLayout(false);
			this.grpProp.ResumeLayout(false);
			((System.ComponentModel.ISupportInitialize)(this.numWidth)).EndInit();
			((System.ComponentModel.ISupportInitialize)(this.numHeight)).EndInit();
			this.grpCmd.ResumeLayout(false);
			((System.ComponentModel.ISupportInitialize)(this.numCount)).EndInit();
			this.grpSel.ResumeLayout(false);
			this.pnlGrid.ResumeLayout(false);
			this.ResumeLayout(false);

		}
		#endregion

		public void Init(){
			grid.AddCols(10);
			grid.AddRows(10);
			grid.Rows[grid.FixedRowCount].Selected=true;

			for(int c=0;c<grid.Cols.Count;++c)
				for(int r=0;r<grid.Rows.Count;++r)
					grid[c,r].Value=c+"."+r;

			grid.CellSpan=true;
			optBackColor.Checked=true;

			cboSelMode.DataSource=Enum.GetNames(grid.SelectionMode.GetType());
			cboSelTyp.DataSource=Enum.GetNames(grid.SelectionType.GetType());
			cboFixedColType.DataSource=Enum.GetNames(grid.FixedColType.GetType());
			cboFixedRowType.DataSource=Enum.GetNames(grid.FixedRowType.GetType());
			cboFrameDashStyle.DataSource=Enum.GetNames(grid.CellFrameDashStyle.GetType());
			cboFrameTyp.DataSource=Enum.GetNames(grid.CellFrameType.GetType());
			cboGradientMode.DataSource=Enum.GetNames(grid.CellGradientMode.GetType());
			cboOutlineDashStyle.DataSource=Enum.GetNames(grid.OutlineDashStyle.GetType());
			cboStrAlignHorz.DataSource=Enum.GetNames(grid.StringAlignHorz.GetType());
			cboStrAlignVert.DataSource=Enum.GetNames(grid.StringAlignVert.GetType());
		}

		private void cboSelMode_SelectedIndexChanged(object sender, System.EventArgs e) {
			grid.SelectionMode=(ppsGrid.eSelectionMode)Enum.Parse(grid.SelectionMode.GetType(),(string)cboSelMode.SelectedItem);
		}

		private void cboSelTyp_SelectedIndexChanged(object sender, System.EventArgs e) {
			grid.SelectionType=(ppsGrid.eSelectionType)Enum.Parse(grid.SelectionType.GetType(),(string)cboSelTyp.SelectedItem);
		}

		private void cboFixedColType_SelectedIndexChanged(object sender, System.EventArgs e) {
			grid.FixedColType=(ppsGrid.eFixedColType)Enum.Parse(grid.FixedColType.GetType(),(string)cboFixedColType.SelectedItem);
		}
		private void cboFixedRowType_SelectedIndexChanged(object sender, System.EventArgs e) {
			grid.FixedRowType=(ppsGrid.eFixedRowType)Enum.Parse(grid.FixedRowType.GetType(),(string)cboFixedRowType.SelectedItem);
		}

		private void cboFrameDashStyle_SelectedIndexChanged(object sender, System.EventArgs e) {
			grid.CellFrameDashStyle=(ppsGrid.eDashStyle)Enum.Parse(grid.CellFrameDashStyle.GetType(),(string)cboFrameDashStyle.SelectedItem);
		}
		private void cboFrameTyp_SelectedIndexChanged(object sender, System.EventArgs e) {
			grid.CellFrameType=(ppsGrid.eCellFrameType)Enum.Parse(grid.CellFrameType.GetType(),(string)cboFrameTyp.SelectedItem);
		}

		private void cboGradientMode_SelectedIndexChanged(object sender, System.EventArgs e) {
			grid.CellGradientMode=(ppsGrid.eGradientMode)Enum.Parse(grid.CellGradientMode.GetType(),(string)cboGradientMode.SelectedItem);
		}

		private void cboOutlineDashStyle_SelectedIndexChanged(object sender, System.EventArgs e) {
			grid.OutlineDashStyle=(ppsGrid.eDashStyle)Enum.Parse(grid.OutlineDashStyle.GetType(),(string)cboOutlineDashStyle.SelectedItem);
		}

		private void cboStrAlignHorz_SelectedIndexChanged(object sender, System.EventArgs e) {
			grid.StringAlignHorz=(ppsGrid.eContentAlign)Enum.Parse(grid.StringAlignHorz.GetType(),(string)cboStrAlignHorz.SelectedItem);
		}

		private void cboStrAlignVert_SelectedIndexChanged(object sender, System.EventArgs e) {
			grid.StringAlignVert=(ppsGrid.eContentAlign)Enum.Parse(grid.StringAlignVert.GetType(),(string)cboStrAlignVert.SelectedItem);
		}

		private void grid_SelectionEnd(object sender, ppsGrid.SelectionEndEventArgs e) {
			btnAdd.Enabled=(grid.Selection.Rows.Count>0 || grid.Selection.Cols.Count>0);
			btnDel.Enabled=btnAdd.Enabled;

			btnAddChild.Enabled=false;
			foreach(GridCol c in grid.Cols)
				if(c.OutlineMode)
					btnAddChild.Enabled=true;
			foreach(GridRow r in grid.Rows)
				if(r.OutlineMode)
					btnAddChild.Enabled=true;



			string s="";
			if(grid.Selection.Rows.Count>0)
				s=grid.Selection.Rows.Count+" row(s) selected"+Environment.NewLine;
			if(grid.Selection.Cols.Count>0)
				s+=grid.Selection.Cols.Count+" column(s) selected"+Environment.NewLine;
			if(grid.Selection.Cells.Count>0)
				s+=grid.Selection.Cells.Count+" cell(s) selected";
			labError.Text=s;

			DisplayFixed();
			DisplayOutlineMode();
			DisplayHeight();
			DisplayWidth();
			DisplayColors();
		}

		private void DisplayFixed(){
			chkFixed.Enabled=(grid.Selection.Rows.Count>0 || grid.Selection.Cols.Count>0);
			if(chkFixed.Enabled){
				if(grid.Selection.Rows.Count>0){
					chkFixed.Checked=grid.Selection.Rows[0].Fixed;
					foreach(GridRow r in grid.Selection.Rows)
						if(r.Fixed!=chkFixed.Checked)
							chkFixed.CheckState=CheckState.Indeterminate;
				}
				if(grid.Selection.Cols.Count>0){
					chkFixed.Checked=grid.Selection.Cols[0].Fixed;
					foreach(GridCol c in grid.Selection.Cols)
						if(c.Fixed!=chkFixed.Checked)
							chkFixed.CheckState=CheckState.Indeterminate;
				}
			}
		}

		private void DisplayOutlineMode(){
			chkOutlineMode.Enabled=(grid.Selection.Rows.Count>0 || grid.Selection.Cols.Count>0);
			if(chkOutlineMode.Enabled){
				if(grid.Selection.Rows.Count>0){
					chkOutlineMode.Checked=grid.Selection.Rows[0].OutlineMode;
					foreach(GridRow r in grid.Selection.Rows)
						if(r.OutlineMode!=chkOutlineMode.Checked)
							chkOutlineMode.CheckState=CheckState.Indeterminate;
				}
				if(grid.Selection.Cols.Count>0){
					chkOutlineMode.Checked=grid.Selection.Cols[0].OutlineMode;
					foreach(GridCol c in grid.Selection.Cols)
						if(c.OutlineMode!=chkOutlineMode.Checked)
							chkOutlineMode.CheckState=CheckState.Indeterminate;
				}
			}
		}

		private void DisplayHeight(){
			numHeight.Enabled=(grid.Selection.Rows.Count>0);
			if(numHeight.Enabled){
				numHeight.Value=grid.Selection.Rows[0].Height;
				foreach(GridRow r in grid.Selection.Rows)
					if(r.Height!=numHeight.Value)
						numHeight.Value=numHeight.Minimum;
			}
		}

		private void DisplayWidth(){
			numWidth.Enabled=(grid.Selection.Cols.Count>0);
			if(numWidth.Enabled){
				numWidth.Value=grid.Selection.Cols[0].Width;
				foreach(GridCol c in grid.Selection.Cols)
					if(c.Width!=numWidth.Value)
						numWidth.Value=numWidth.Minimum;
			}
		}

		
		
		private Color GetColor(Color clr){
			DialogResult	dr;
			Color					rslt=clr;
				
			dlgColor.Color=clr;
			dr=dlgColor.ShowDialog();
			if(dr==DialogResult.OK)
				clr=dlgColor.Color;
			dlgColor.Reset();
			return(clr);
		}
		private void	SetProperty(string propName,object value){
			if(grid.Selection.Rows.Count>0 && grid.Selection.Rows[0].GetType().GetProperty(propName)!=null){
				foreach(GridRow r in grid.Selection.Rows)
					r.GetType().GetProperty(propName).SetValue(r,value,null);
			}
			else if(grid.Selection.Cols.Count>0 && grid.Selection.Cols[0].GetType().GetProperty(propName)!=null){
				foreach(GridCol c in grid.Selection.Cols)
					c.GetType().GetProperty(propName).SetValue(c,value,null);
			}
			else if(grid.Selection.Cells.Count>0 && grid.Selection.Cells[0].GetType().GetProperty(propName)!=null){
				foreach(GridCell c in grid.Selection.Cells)
					c.GetType().GetProperty(propName).SetValue(c,value,null);
			}
			else
				if(grid.GetType().GetProperty(propName)!=null)
					grid.GetType().GetProperty(propName).SetValue(grid,value,null);
		}

		private void pnlColor_Click(object sender, System.EventArgs e) {
			if(optBackColor.Checked)
				SetProperty("BackColorCell",GetColor(pnlColor.BackColor));
			else
				SetProperty("ForeColorCell",GetColor(pnlColor.BackColor));
			DisplayColors();
		}
		private void pnlGradient_Click(object sender, System.EventArgs e) {
			SetProperty("BackColorCellGradient",GetColor(pnlGradient.BackColor));
			DisplayColors();
		}
		private void pnlRowAlternate_Click(object sender, System.EventArgs e) {
			if(optBackColor.Checked)
				grid.BackColorRowAlternate=GetColor(pnlRowAlternate.BackColor);
			else
				grid.ForeColorRowAlternate=GetColor(pnlRowAlternate.BackColor);
			DisplayColors();
		}
		private void pnlColAlternate_Click(object sender, System.EventArgs e) {
			if(optBackColor.Checked)
				grid.BackColorColAlternate=GetColor(pnlColAlternate.BackColor);
			else
				grid.ForeColorColAlternate=GetColor(pnlColAlternate.BackColor);
			DisplayColors();
		}

		private void pnlFocus_Click(object sender, System.EventArgs e) {
			if(optBackColor.Checked)
				SetProperty("BackColorFocus",GetColor(pnlFocus.BackColor));
			else
				SetProperty("ForeColorFocus",GetColor(pnlFocus.BackColor));
			DisplayColors();
		}

		private void pnlHighlight_Click(object sender, System.EventArgs e) {
			if(optBackColor.Checked)
				SetProperty("BackColorHighlight",GetColor(pnlHighlight.BackColor));
			else
				SetProperty("ForeColorHighlight",GetColor(pnlHighlight.BackColor));
			DisplayColors();
		}

		private void pnlHover_Click(object sender, System.EventArgs e) {
			if(optBackColor.Checked)
				SetProperty("BackColorHover",GetColor(pnlHover.BackColor));
			else
				SetProperty("ForeColorHover",GetColor(pnlHover.BackColor));
			DisplayColors();
		}
		private void pnlApp_Click(object sender, System.EventArgs e) {
			grid.BackColorApp=GetColor(pnlApp.BackColor);
			DisplayColors();
		}

		private void pnlCellframe_Click(object sender, System.EventArgs e) {
			SetProperty("CellFrameColor",GetColor(pnlCellframe.BackColor));
			DisplayColors();
		}

		private void pnlOutline_Click(object sender, System.EventArgs e) {
			SetProperty("OutlineColor",GetColor(pnlOutline.BackColor));
		}

		private void chkFixed_CheckStateChanged(object sender, System.EventArgs e) {
			foreach(GridRow r in grid.Selection.Rows)
				r.Fixed=chkFixed.Checked;
			foreach(GridCol c in grid.Selection.Cols)
				c.Fixed=chkFixed.Checked;
		}

		private void chkOutlineMode_CheckStateChanged(object sender, System.EventArgs e) {
			foreach(GridRow r in grid.Selection.Rows)
				r.OutlineMode=chkOutlineMode.Checked;
			foreach(GridCol c in grid.Selection.Cols)
				c.OutlineMode=chkOutlineMode.Checked;
		}

		private void btnAdd_Click(object sender, System.EventArgs e) {
			if(grid.IsValidCell(grid.FocusCell)){
				if(grid.Selection.Rows.Count>0)
					grid.AddRows(grid.Selection.Rows.Count,grid.FocusCell.Y);
				if(grid.Selection.Cols.Count>0)
					grid.AddCols(grid.Selection.Cols.Count,grid.FocusCell.X);
			}
		}

		private void btnAddChild_Click(object sender, System.EventArgs e) {
			foreach(GridRow r in grid.Selection.Rows){
				r.Outline.AddChilds(1);
				r.Outline.LastChild[grid.FocusCell.Y+1].Value=grid.FocusCell.Y+1+" c";
			}
			foreach(GridCol c in grid.Selection.Cols){
				c.Outline.AddChilds(1);
				c.Outline.LastChild[grid.FocusCell.X+1].Value=grid.FocusCell.X+1+" c";
			}
		}

		private void btnDel_Click(object sender, System.EventArgs e) {
			while(grid.Selection.Rows.Count>0)
				grid.Rows.Remove(grid.Selection.Rows[0]);
			while(grid.Selection.Cols.Count>0)
				grid.Cols.Remove(grid.Selection.Cols[0]);

			this.grid_SelectionEnd(grid,null);
		}

		private void grid_FocusCellChanged(object sender, ppsGrid.FocusCellChangedEventArgs e) {
			txtFocusCellX.Text=grid.FocusCell.X.ToString();
			txtFocusCellY.Text=grid.FocusCell.Y.ToString();
			chkFocusCell.Checked=grid.IsValidCell(grid.FocusCell);
		}

		private void txtValue_Validated(object sender, System.EventArgs e) {
			double		d;
			DateTime	dte;
		
			try{
				d=double.Parse(txtValue.Text,NumberStyles.Any,null);
				SetProperty("Value",d);
			}
			catch{
				try{
					dte=DateTime.Parse(txtValue.Text,null,DateTimeStyles.None);
					SetProperty("Value",dte);
				}
				catch{
					SetProperty("Value",txtValue.Text);
				}
			}
		}
		private void txtFormatStr_Validated(object sender, System.EventArgs e) {
			SetProperty("FormatString",txtFormatStr.Text);
		}

		private void numHeight_ValueChanged(object sender, System.EventArgs e) {
			if(numHeight.Focused)
				foreach(GridRow r in grid.Selection.Rows)
					r.Height=(int)numHeight.Value;
		}

		private void numWidth_ValueChanged(object sender, System.EventArgs e) {
			if(numWidth.Focused)
				foreach(GridCol c in grid.Selection.Cols)
					c.Width=(int)numWidth.Value;
		}

		private string ForeBackColor{
			get{return(optBackColor.Checked?"BackColor":"ForeColor");}
		}

		private void DisplayColors(){
			DisplayColor(pnlColor,ForeBackColor+"Cell");
			DisplayColor(pnlFocus,ForeBackColor+"Focus");
			DisplayColor(pnlHighlight,ForeBackColor+"Highlight");
			DisplayColor(pnlRowAlternate,ForeBackColor+"RowAlternate");
			DisplayColor(pnlColAlternate,ForeBackColor+"ColAlternate");
			DisplayColor(pnlGradient,"BackColorCellGradient");

			pnlApp.BackColor=grid.BackColorApp;
			pnlCellframe.BackColor=grid.CellFrameColor;
			pnlOutline.BackColor=grid.OutlineColor;
		}

		private void	DisplayColor(Panel pnl,string propName){
			Color		clr=SystemColors.Control,clr2=SystemColors.Control;
			object	obj=grid;
			IList		lst=null;

			if(grid.Selection.Rows.Count>0)
				lst=grid.Selection.Rows;
			else if(grid.Selection.Cols.Count>0)
				lst=grid.Selection.Cols;
			else if(grid.Selection.Cells.Count>0)
				lst=grid.Selection.Cells;

			obj=(lst==null?grid:lst[0]);

			if(lst==null)
				clr=(Color)grid.GetType().GetProperty(propName).GetValue(grid,null);
			else{
				if(obj.GetType().GetProperty(propName)!=null)
					clr2=(Color)obj.GetType().GetProperty(propName).GetValue(obj,null);
				foreach(object o in lst){
					if(o.GetType().GetProperty(propName)==null)
						clr=(Color)grid.GetType().GetProperty(propName).GetValue(grid,null);
					else
						clr=(Color)o.GetType().GetProperty(propName).GetValue(o,null);
					if(clr!=clr2)	clr=SystemColors.Control;
				}
			}
			pnl.BackColor=clr;
		}

//		private void RefreshPnlColor(){
//			bool	b=optForeColor.Checked;
//			pnlColor.BackColor=(b?grid.ForeColorCell:grid.BackColorCell);
//			pnlFocus.BackColor=(b?grid.ForeColorFocus:grid.BackColorFocus);
//			pnlHighlight.BackColor=(b?grid.ForeColorHighlight:grid.BackColorHighlight);
//			pnlRowAlternate.BackColor=(b?grid.ForeColorRowAlternate:grid.BackColorRowAlternate);
//			pnlColAlternate.BackColor=(b?grid.ForeColorColAlternate:grid.BackColorColAlternate);
//		}

		private void optForeColor_CheckedChanged(object sender, System.EventArgs e) {
			DisplayColors();
		}

		private void optBackColor_CheckedChanged(object sender, System.EventArgs e) {
			DisplayColors();
		}


	}
}
